Index: trunk/gsdl/perllib/classify/BasClas.pm
===================================================================
--- trunk/gsdl/perllib/classify/BasClas.pm	(revision 6986)
+++ trunk/gsdl/perllib/classify/BasClas.pm	(revision 6987)
@@ -111,10 +111,10 @@
     return if (!defined($classifieroptions));
 
-    print STDERR "<ClassInfo>\n";
-    print STDERR "  <Name>$classifieroptions->{'name'}</Name>\n";
-    print STDERR "  <Desc>$classifieroptions->{'desc'}</Desc>\n";
-    print STDERR "  <Abstract>$classifieroptions->{'abstract'}</Abstract>\n";
-    print STDERR "  <Inherits>$classifieroptions->{'inherits'}</Inherits>\n";
-    print STDERR "  <Arguments>\n";
+    &gsprintf(STDERR, "<ClassInfo>\n");
+    &gsprintf(STDERR, "  <Name>$classifieroptions->{'name'}</Name>\n");
+    &gsprintf(STDERR, "  <Desc>$classifieroptions->{'desc'}</Desc>\n");
+    &gsprintf(STDERR, "  <Abstract>$classifieroptions->{'abstract'}</Abstract>\n");
+    &gsprintf(STDERR, "  <Inherits>$classifieroptions->{'inherits'}</Inherits>\n");
+    &gsprintf(STDERR, "  <Arguments>\n");
     if (defined($classifieroptions->{'args'})) {
 	&PrintUsage::print_options_xml($classifieroptions->{'args'});
@@ -124,6 +124,6 @@
     $self->print_xml();
 
-    print STDERR "  </Arguments>\n";
-    print STDERR "</ClassInfo>\n";
+    &gsprintf(STDERR, "  </Arguments>\n");
+    &gsprintf(STDERR, "</ClassInfo>\n");
 }
 
Index: trunk/gsdl/perllib/plugins/BasPlug.pm
===================================================================
--- trunk/gsdl/perllib/plugins/BasPlug.pm	(revision 6986)
+++ trunk/gsdl/perllib/plugins/BasPlug.pm	(revision 6987)
@@ -173,10 +173,10 @@
     return if (!defined($pluginoptions));
 
-    print STDERR "<PlugInfo>\n";
-    print STDERR "  <Name>$pluginoptions->{'name'}</Name>\n";
-    print STDERR "  <Desc>$pluginoptions->{'desc'}</Desc>\n";
-    print STDERR "  <Abstract>$pluginoptions->{'abstract'}</Abstract>\n";
-    print STDERR "  <Inherits>$pluginoptions->{'inherits'}</Inherits>\n";
-    print STDERR "  <Arguments>\n";
+    &gsprintf(STDERR, "<PlugInfo>\n");
+    &gsprintf(STDERR, "  <Name>$pluginoptions->{'name'}</Name>\n");
+    &gsprintf(STDERR, "  <Desc>$pluginoptions->{'desc'}</Desc>\n");
+    &gsprintf(STDERR, "  <Abstract>$pluginoptions->{'abstract'}</Abstract>\n");
+    &gsprintf(STDERR, "  <Inherits>$pluginoptions->{'inherits'}</Inherits>\n");
+    &gsprintf(STDERR, "  <Arguments>\n");
     if (defined($pluginoptions->{'args'})) {
 	&PrintUsage::print_options_xml($pluginoptions->{'args'});
@@ -186,6 +186,6 @@
     $self->print_xml();
 
-    print STDERR "  </Arguments>\n";
-    print STDERR "</PlugInfo>\n";
+    &gsprintf(STDERR, "  </Arguments>\n");
+    &gsprintf(STDERR, "</PlugInfo>\n");
 }
 
@@ -271,95 +271,4 @@
 }
 
-
-#  sub print_general_usage {
-#      my ($plugin_name) = @_;
-
-#      print STDERR "\n  usage: plugin $plugin_name [options]\n\n";
-
-#      print STDERR "   -process_exp      A perl regular expression to match against filenames.\n";
-#      print STDERR "                     Matching filenames will be processed by this plugin.\n";
-#      print STDERR "                     Each plugin has its own default process_exp. e.g HTMLPlug\n";
-#      print STDERR "                     defaults to '(?i)\.html?\$' i.e. all documents ending in\n";
-#      print STDERR "                     .htm or .html (case-insensitive).\n\n";
-
-#      print STDERR "   -block_exp        Files matching this regular expression will be blocked from\n";
-#      print STDERR "                     being passed to any later plugins in the list. This has no\n";
-#      print STDERR "                     real effect other than to prevent lots of warning messages\n";
-#      print STDERR "                     about input files you don't care about. Each plugin might\n";
-#      print STDERR "                     have a default block_exp. e.g. by default HTMLPlug blocks\n";
-#      print STDERR "                     any files with .gif, .jpg, .jpeg, .png or .css\n";
-#      print STDERR "                     file extensions.\n\n";
-
-
-#      print STDERR "   -input_encoding   The encoding of the source documents. Documents will be\n";
-#      print STDERR "                     converted from these encodings and stored internally as\n";
-#      print STDERR "                     utf8. The default input_encoding is 'auto'. Accepted values\n";
-#      print STDERR "                     are:\n";
-
-#      print STDERR "                       auto: Use text categorization algorithm to automatically\n";
-#      print STDERR "                         identify the encoding of each source document. This\n";
-#      print STDERR "                         will be slower than explicitly setting the encoding\n";
-#      print STDERR "                         but will work where more than one encoding is used\n";
-#      print STDERR "                         within the same collection.\n";
-
-#      print STDERR "                       ascii: Plain 7 bit ascii. This may be a bit faster than\n";
-#      print STDERR "                         using iso_8859_1. Beware of using this on a collection\n";
-#      print STDERR "                         of documents that may contain characters outside the\n";
-#      print STDERR "                         plain 7 bit ascii set though (e.g. German or French\n";
-#      print STDERR "                         documents containing accents), use iso_8859_1 instead.\n";
-
-#      print STDERR "                       utf8: either utf8 or unicode -- automatically detected\n";
-#      print STDERR "                       unicode: just unicode\n";
-
-#      my $e = $encodings::encodings;
-#      foreach my $enc (sort {$e->{$a}->{'name'} cmp $e->{$b}->{'name'}} keys (%$e)) {
-#  	print STDERR "                       $enc: $e->{$enc}->{'name'}\n";
-#      }
-#      print STDERR "\n";
-#      print STDERR "   -default_encoding Use this encoding if -input_encoding is set to 'auto' and\n";
-#      print STDERR "                     the text categorization algorithm fails to extract the\n";
-#      print STDERR "                     encoding or extracts an encoding unsupported by Greenstone.\n";
-#      print STDERR "                     The default is iso_8859_1.\n\n";
-
-#      print STDERR "   -extract_language Identify the language of each document and set 'Language'\n";
-#      print STDERR "                      metadata. Note that this will be done automatically if\n";
-#      print STDERR "                     -input_encoding is 'auto'.\n\n";
-#      print STDERR "   -default_language If Greenstone fails to work out what language a document is\n";
-#      print STDERR "                     the 'Language' metadata element will be set to this value.\n";
-#      print STDERR "                     The default is 'en' (ISO 639 language symbols are used:\n";
-#      print STDERR "                     en = English). Note that if -input_encoding is not set to\n";
-#      print STDERR "                     'auto' and -extract_language is not set, all documents will\n";
-#      print STDERR "                     have their 'Language' metadata set to this value.\n\n";
-
-#      print STDERR "   -extract_acronyms Extract acronyms from within text and set as metadata\n";
-
-#      print STDERR "   -markup_acronyms  Add acronym metadata into document text\n\n";
-
-#      print STDERR "   -first            Comma separated list of first sizes to extract from the\n";
-#      print STDERR "                     text into a metadata field. The field is called 'FirstNNN'.\n\n";
-
-#      print STDERR "   -extract_email    Extract email addresses as metadata\n\n";
-
-#      print STDERR "   -extract_historical_years Extract time-period information from historical\n";
-#      print STDERR "                     documents.  This is stored as metadata with the document.\n";
-#      print STDERR "                     There is a search interface for this metadata, which you \n";
-#      print STDERR "                     can include in your collection by adding the statement:\n";
-#      print STDERR "                           format QueryInterface DateSearch\n";
-#      print STDERR "                     to your collection configuration file\n";
-#      print STDERR "   -maximum_year     The maximum historical date to be used as metadata (in a\n";
-#      print STDERR "                     Common Era date, such as 1950)\n";
-#      print STDERR "   -maximum_century  The maximum named century to be extracted as historical\n";
-#      print STDERR "                     metadata (e.g. 14 will extract all references up to the\n";
-#      print STDERR "                     14th century)\n";
-#      print STDERR "   -no_bibliography  Do not try and block bibliographic dates when extracting\n";
-#      print STDERR "                     historical dates.\n";
-#      print STDERR "   -cover_image      Will look for a prefix.jpg file (where prefix is the same\n";
-#      print STDERR "                     prefix as the file being processed) and associate it as a\n";
-#      print STDERR "                     cover image\n\n";
-#  }
-
-# sub print_usage {
-#     print STDERR "\nThis plugin has no plugin specific options\n\n";
-# }
 
 sub new {