Index: trunk/gsdl/macros/italian.dm
===================================================================
--- trunk/gsdl/macros/italian.dm	(revision 6996)
+++ trunk/gsdl/macros/italian.dm	(revision 6997)
@@ -14,5 +14,5 @@
 #------------------------------------------------------------
 
-_textdefaultcontent_ [l=it] {La pagina richiesta non &egrave; disponibile.
+_textdefaultcontent_ [l=it] {La pagina richiesta non Ãš disponibile.
 Usa il pulsante 'indietro' del tuo browser o il pulsante
 'Pagina principale' per tornare alla Greenstone Digital Library.}
@@ -112,5 +112,5 @@
 <p><a href="http://www.nzdl.org">Progetto New Zealand Digital Library</a>
 <br><a href="http://www.cs.waikato.ac.nz/cs">Dipartimento di Informatica</a>,
-<a href="http://www.waikato.ac.nz">Universit&agrave; di Waikato</a>,
+<a href="http://www.waikato.ac.nz">UniversitÃ  di Waikato</a>,
 Nuova Zelanda.}
 
@@ -314,5 +314,5 @@
 <table cellspacing=0 cellpadding=0 width=_pagewidth_>
 <tr valign=top><td>_iconwarning_ mostrare il testo qui significa una
-grande quantit&agrave; di dati _imagecont_
+grande quantitÃ  di dati _imagecont_
 </td></tr></table></center>
 }
@@ -469,5 +469,5 @@
 )}
 
-_textmorethan_ [l=it] {Pi&ugrave; di }
+_textmorethan_ [l=it] {PiÃ¹ di }
 _textapprox_ [l=it] {Circa }
 _textnodocs_ [l=it] {Nessun documento soddisfa le condizioni.}
@@ -566,5 +566,5 @@
 _textprefschanged_ [l=it] {
 Le impostazioni sono state fissate come riportato di seguito.
-Non usare il pulsante &quot;indietro&quot; del tuo browser - le cancellerebbe!
+Non usare il pulsante "indietro" del tuo browser - le cancellerebbe!
 Fai click invece su uno dei pulsanti della barra soprastante.
 }
@@ -587,5 +587,5 @@
 _textformat_ [l=it] {Formato dell'interfaccia:}
 _textall_ [l=it] {tutte}
-_textquerymode_ [l=it] {Modalit&agrave; ricerca:}
+_textquerymode_ [l=it] {ModalitÃ  ricerca:}
 _textsimplemode_ [l=it] { ricerca semplice}
 _textadvancedmode_ [l=it] { ricerca avanzata (permette espressioni booleane che contengono !, &, |, e parentesi)}
@@ -677,5 +677,5 @@
 
 _textSearchlong_ [l=it] { <p>Puoi effettuare la <i>ricerca per parole</i> nella pagina "ricerca".
-Questa &egrave; la prima pagina che ti appare e pu&ograve; essere raggiunta premendo il
+Questa Ãš la prima pagina che ti appare e puÃ² essere raggiunta premendo il
 pulsante <i>cerca</i>.  }
 
@@ -704,15 +704,15 @@
 
 _textTolong_ [l=it] { <p>Puoi <i>accedere alle email per destinatario</i> premendo il pulsante
-<i>destinatario</i>Questo mostrer&agrave; un elenco di indirizzi.  }
+<i>destinatario</i>Questo mostrerÃ  un elenco di indirizzi.  }
 
 _textFromlong_ [l=it] { <p>Puoi <i>accedere alle email per mittente</i>
-premendo il pulsante <i>mittente</i>. Questo mostrer&agrave; l'elenco dei mittenti. }
+premendo il pulsante <i>mittente</i>. Questo mostrerÃ  l'elenco dei mittenti. }
 
 _textSerieslong_ [l=it] { <p>Puoi <i>accedere alle pubblicazioni per serie</i>
-premendo il pulsante <i>serie</i>. Questo mostrer&agrave; l'elenco delle serie
+premendo il pulsante <i>serie</i>. Questo mostrerÃ  l'elenco delle serie
 presenti nella raccolta.  }
 
 _textDatelong_ [l=it] { <p>Puoi <i>accedere alle pubblicazioni per data</i>
-premendo il pulsante <i>date</i>. Questo mostrer&agrave; l'elenco di tutti
+premendo il pulsante <i>date</i>. Questo mostrerÃ  l'elenco di tutti
 i documenti ordinati cronologicamente. }
 
@@ -721,13 +721,13 @@
 
 _textPeoplelong_ [l=it] { <p>Puoi <i>accedere alle publicazioni in base alle persone</i>
-premendo il pulsante <i>persone a-z</i>. Questo mostrer&agrave;l'elenco delle persone
+premendo il pulsante <i>persone a-z</i>. Questo mostrerÃ l'elenco delle persone
 ordinato per cognome.  }
 
 _textLanguagelong_ [l=it] { <p>Puoi <i>accedere alle pubblicazioni in base alla lingua</i>
-premendo il pulsante <i>lingua</i>. Questo mostrer&agrave; la lista dei documenti ordinati in base
+premendo il pulsante <i>lingua</i>. Questo mostrerÃ  la lista dei documenti ordinati in base
 alla lingua. }
 
 _textAcronymlong_ [l=it] { <p>Puoi <i>accedere alle pubblicazioni tramite gli acronimi che vi compaiono</i>
-premendo il pulsante <i>acronimi</i>. Questo mostrer&agrave; un elenco di acronimi e dei posti dove essi compaiono.  }
+premendo il pulsante <i>acronimi</i>. Questo mostrerÃ  un elenco di acronimi e dei posti dove essi compaiono.  }
 
 _textPhraselong_ [l=it] { <p>Puoi <i>accedere alle pubblicazioni tramite le frasi che vi occorrono</i>
@@ -782,13 +782,13 @@
 di scegliere la pagina da visualizzare e delle frecce per andare avanti ed indietro.
 
-<p>Sotto c'&egrave; il testo della sezione corrente. Sotto di esso ci sono delle
+<p>Sotto c'Ãš il testo della sezione corrente. Sotto di esso ci sono delle
 frecce per tornare alla sezione precedente o per spostarsi alla successiva.
 
 <p>Sotto il titolo e l'autore ci sono tre pulsanti. Clicka su <i>espandi
 testo</i> per visualizzare tutto il testo del documento corrente. Se il
-documento &egrave; molto grande questo richieder&agrave; molto tempo e molta memoria!
+documento Ãš molto grande questo richiederÃ  molto tempo e molta memoria!
 Clicka su <i>nuova finestra</i> per aprire una nuova finestra del browser contenente
-il documento. (Questo pu&ograve; essere utile se desideri confrontare due documenti o
-leggere pi&ugrave; di un documento alla volta.) Infine quando effettui una ricerca
+il documento. (Questo puÃ² essere utile se desideri confrontare due documenti o
+leggere piÃ¹ di un documento alla volta.) Infine quando effettui una ricerca
 le parole cercate appaiono evidenziate, clicka su <i>non evidenziaziare</i> per rimuovere la sottolineatura.
 
@@ -811,11 +811,11 @@
 <h2>_textreadingdocs_</h2>
 
-<p>Puoi sapere quando sei arrivato ad uno specifico libro in quanto c'&egrave;
+<p>Puoi sapere quando sei arrivato ad uno specifico libro in quanto c'Ãš
 una immagine della copertina in alto a sinistra nella pagina. Affianco all'immagine
-c'&egrave; l'indice del libro con una freccia che mostra in che punto ti trovi.
-L'indice si pu&ograve; espandere: clicka sulle cartelle per aprirle o chiuderle.
+c'Ãš l'indice del libro con una freccia che mostra in che punto ti trovi.
+L'indice si puÃ² espandere: clicka sulle cartelle per aprirle o chiuderle.
 Clicka sul libro aperto in alto per chiudere l'indice.
 
-<p>Sotto c'&egrave; il testo della sezione corrente.
+<p>Sotto c'Ãš il testo della sezione corrente.
 Ci sono delle freccce in basso per andare alla sezione successiva o alla precedente.
 
@@ -823,10 +823,10 @@
 Clicka su <i>espandi
 testo</i> per visualizzare tutto il testo del documento corrente. Se il
-documento &egrave; molto grande questo richieder&agrave; molto tempo e molta memoria!
+documento Ãš molto grande questo richiederÃ  molto tempo e molta memoria!
 Clicka su <i>mostra indice</i> per visualizzare tutto l'indice in modo da poter
 vedere i titoli di tutti i capitoli ed i pragrafi.
 Clicka su <i>nuova finestra</i> per aprire una nuova finestra del browser contenente
-il documento. (Questo pu&ograve; essere utile se desideri confrontare due documenti o
-leggere pi&ugrave; di un documento alla volta.) Infine quando effettui una ricerca
+il documento. (Questo puÃ² essere utile se desideri confrontare due documenti o
+leggere piÃ¹ di un documento alla volta.) Infine quando effettui una ricerca
 le parole cercate appaiono evidenziate, clicka su <i>non evidenziaziare</i> per rimuovere l'evidenziazione.
 
@@ -855,5 +855,5 @@
 
 <p>Su alcuni dei testi citati in bibliografia sono conservate ulteriori informazioni, ad esempio un riassunto.
-Si possono riconoscere in quanto sono contraddistinti dell'icona _icontext_ anzich&egrave;
+Si possono riconoscere in quanto sono contraddistinti dell'icona _icontext_ anzichÃš
 dall'icona _iconblanktext_ .
 
@@ -862,5 +862,5 @@
 <p>Sotto la bibliografia ci sono due pulsanti.
 Clicka su <i>nuova finestra</i> per aprire una nuova finestra del browser contenete questo libro.
-(Questo pu&ograve; essere utile se vuoi confrontare due o pi&ugrave; testi.)
+(Questo puÃ² essere utile se vuoi confrontare due o piÃ¹ testi.)
  Infine quando effettui una ricerca
 le parole cercate appaiono evidenziate, clicka su <i>non evidenziaziare</i> per rimuovere l'evidenziazione.
@@ -892,5 +892,5 @@
 per visualizzarne il contenuto.
 
-<p>Il numero massimo di documenti elencati &egrave; fissato a 100.
+<p>Il numero massimo di documenti elencati Ãš fissato a 100.
 Puoi modificare questo numero clickando sul pulsante <i>impostazioni</i>
 nella parte alta della pagina.<p>
@@ -904,10 +904,10 @@
 alfabetici e cifre numeriche. Le parole sono separate da spazi.
 Se altri caratteri (come i segni di punteggiatura) appaiono, questi verranno
-utilizzati per separare le parole come se fossero spazi. Non &egrave; possibile
+utilizzati per separare le parole come se fossero spazi. Non Ãš possibile
 ricercare parole che includono segni di punteggiatura.
 
 <p>Per esempio la ricerca:<p>
     <ul><kbd>Agro-forestry in the Pacific Islands: Systems for Sustainability (1993)</kbd></ul>
-      <p>verr&agrave; trattata come se fosse:<p>
+      <p>verrÃ  trattata come se fosse:<p>
       <ul><kbd>Agro forestry in the Pacific Islands Systems for Sustainability 1993 </kbd></ul><p>
 
@@ -929,6 +929,6 @@
 
       <p><ul>
-        <li> pi&ugrave; parole da cercare il documento contiene, pi&ugrave; elevato &egrave; il grado;
-        <li> le parole rare sono pi&ugrave; importanti delle parole comuni;
+        <li> piÃ¹ parole da cercare il documento contiene, piÃ¹ elevato Ãš il grado;
+        <li> le parole rare sono piÃ¹ importanti delle parole comuni;
         <li> i documenti corti corrispondono meglio di quelli lunghi.
       </ul>
@@ -947,11 +947,11 @@
 riguardano eventi avvenuti in un certo intervallo temporale.
 Puoi cercare documenti di un certo anno o in una serie di anni.
-Nota che non &egrave; indispensabile inserire parole da cercare, puoi effettuare
-ricerche anche solo sulle date, cos&igrave; come non &egrave; necessario inserire delle date;
-se non scrivi alcuna data &egrave; come se si effettuasse una ricerca non per data.<p>
+Nota che non Ãš indispensabile inserire parole da cercare, puoi effettuare
+ricerche anche solo sulle date, cosÃ¬ come non Ãš necessario inserire delle date;
+se non scrivi alcuna data Ãš come se si effettuasse una ricerca non per data.<p>
 
 <p>_iconblankbar_
 <a name=datesearch-howto>
-<h3>Come utilizzare questa funzionalit&agrave;:</h3>
+<h3>Come utilizzare questa funzionalitÃ :</h3>
 <ul>
    <li>Come cercare documenti riguardanti un singolo anno:<p>
@@ -959,5 +959,5 @@
        <li>Scrivi le parole da cercare come faresti normalmente.
        <li>Scrivi l'anno nella casella "Data iniziale (o data)".
-       <li>Se la data &egrave; Avanti Cristo,
+       <li>Se la data Ãš Avanti Cristo,
        scegli l'opzione A.C. dal menu a tendina a fianco.
        <li>Avvia la ricerca come faresti normalmente.
@@ -977,8 +977,8 @@
 <h3>Come funziona la ricerca</h3>
 
-Generalmente una ricerca di documenti riguardanti l'anno 1903 non mostrer&agrave; quelli che, ad esempio,
+Generalmente una ricerca di documenti riguardanti l'anno 1903 non mostrerÃ  quelli che, ad esempio,
 sono stati scritti nel 1903, solo i documenti che riguardano il 1903. In ogni modo, verranno trovati i documenti
 che hanno nel testo un'intervallo di date (ad esempio 1899-1911) in cui rientra il 1903, e tutti i documenti
-che hanno nel testo il nome del secolo di cui &egrave; parte il 1903 (ad esempio 20th century o twentieth century).
+che hanno nel testo il nome del secolo di cui Ãš parte il 1903 (ad esempio 20th century o twentieth century).
 Questo significa che per alcuni documenti la data ricercata potrebbe non apparire nel testo. Se si effettua la ricerca
 su di un intervallo di date, questo si applica a tutte la date nell'intervallo.<p>
@@ -996,5 +996,5 @@
 <h3 align=left>Impostazioni relative alle raccolte</h3>
 
-Alcune raccolte comprendono diverse sottoraccolte, su cui &egrave; possibile
+Alcune raccolte comprendono diverse sottoraccolte, su cui Ãš possibile
 effettuare ricerche singolarmente o come un tutt'uno. In questi casi, nella pagina Impostazioni puoi
 scegliere quali sottoraccolte prendere in considerazione nelle ricerche.
@@ -1008,5 +1008,5 @@
 -- il software ha delle opportune impostazioni predefinite ma con alcuni browser puoi ottenere una
 visualizzazione migliore cambiando il set di caratteri. Tutte le raccolte permettono di passare dall'interfaccia
-grafica standard ad una testuale. Questa &egrave; particolarmente utile per gli ipovedenti che utilizzano
+grafica standard ad una testuale. Questa Ãš particolarmente utile per gli ipovedenti che utilizzano
 delle interfacce testuali con tipi di caratteri molto grandi oppure dei sintetizzatori vocali.
 
@@ -1018,5 +1018,5 @@
 
 <p>Le raccolte di pagine web ti permettono di eliminare la barra di navigazione di Greenstone che altrimenti
-appare sulla sommit&agrave; di ogni pagina, in questo modo quando effettui una ricerca trovi esattamente la pagina
+appare sulla sommitÃ  di ogni pagina, in questo modo quando effettui una ricerca trovi esattamente la pagina
 cercata senza alcuna intestazione aggiuntiva. In questo caso, per effettuare una nuova ricerca
 dovrai utilizzare il pulsante "indietro" del browser.
@@ -1031,25 +1031,25 @@
 <h3 align=left>Impostazioni relative alla ricerca</h3>
 <p>Due coppie di pulsanti controlano il tipo di confronto tra parole nelle ricerche che effettui.
-La prima coppia ("sensibilit&agrave; alle maiuscole") stabilisce se le maiuscole e le minuscole devono essere
+La prima coppia ("sensibilitÃ  alle maiuscole") stabilisce se le maiuscole e le minuscole devono essere
 considerate differenti nel confronto tra le parole.
 La seconda coppia ("finali delle parole") stabilisce se ignorare la declinazione delle parole nelle operazioni
 di confronto.
-E' inoltre possibile ingrandire la casella in cui inserire le parole da cercare, in modo da rendere pi&ugrave;
-semplice cercare frasi lunghe. La ricerca di grandi porzioni di testo &egrave; incredibilmente veloce.
+E' inoltre possibile ingrandire la casella in cui inserire le parole da cercare, in modo da rendere piÃ¹
+semplice cercare frasi lunghe. La ricerca di grandi porzioni di testo Ãš incredibilmente veloce.
 
 <p>Ad esempio, se i pulsanti <i>ignora maiuscole</i> ed
 <i>ignora la declinazione delle parole</i> sono selezionati, la ricerca<p>
     <ul><kbd>Edifici africani</kbd></ul>
-      <p>sar&agrave; trattata allo stesso modo di<p>
+      <p>sarÃ  trattata allo stesso modo di<p>
       <ul><kbd>africa edificio</kbd></ul><p>
-      in quanto la maiuscola in "Edifici" sar&agrave; trasformata in minuscola e le desinenze saranno rimosse
-      (NOTA DEL TRADUTTORE: quest'ultima funzionalit&agrave; potrebbe non funzionare correttamente quando
+      in quanto la maiuscola in "Edifici" sarÃ  trasformata in minuscola e le desinenze saranno rimosse
+      (NOTA DEL TRADUTTORE: quest'ultima funzionalitÃ  potrebbe non funzionare correttamente quando
       applicata a parole non in lingua inglese).
 
-<p>Puoi passare ad una modalit&agrave; di ricerca "avanzata" che ti permette di unire pi&ugrave; condizioni
-usando AND (&amp;), OR (|), e NOT (!).
-Questo permette di creare ricerche pi&ugrave; precise.
-Puoi abilitare o disabilitare lo storico delle ricerche, questo ti mostrer&agrave; le ultime
-ricerche effettuate rendendo pi&ugrave; semplice la ripetizione di ricerche simili tra loro.
+<p>Puoi passare ad una modalitÃ  di ricerca "avanzata" che ti permette di unire piÃ¹ condizioni
+usando AND (&), OR (|), e NOT (!).
+Questo permette di creare ricerche piÃ¹ precise.
+Puoi abilitare o disabilitare lo storico delle ricerche, questo ti mostrerÃ  le ultime
+ricerche effettuate rendendo piÃ¹ semplice la ripetizione di ricerche simili tra loro.
 Infine puoi stabilire il numero massimo di documenti da trovare ed il numero massimo di documenti
 da mostrare in una schermata.
@@ -1067,7 +1067,7 @@
 <p>In alcune raccolte puoi scegliere tra diversi indici per effettuare le ricerche. Ad esempio, ci possono essere
 indici sugli autori e sui titoli, oppure ci possono essere indici sui nomi dei capitoli e dei paragrafi.
-Generalmente, viene ritornato comunque l'intero documento a prescindere dall'indice su cui si &egrave; effettuata
+Generalmente, viene ritornato comunque l'intero documento a prescindere dall'indice su cui si Ãš effettuata
 la ricerca.
 
-<p>Se il documento &egrave; un libro, questo verr&agrave; aperto in un punto specifico.
+<p>Se il documento Ãš un libro, questo verrÃ  aperto in un punto specifico.
 }