Index: /trunk/greenorg/macros/russian.dm
===================================================================
--- /trunk/greenorg/macros/russian.dm	(revision 7039)
+++ /trunk/greenorg/macros/russian.dm	(revision 7040)
@@ -10,6 +10,8 @@
 # -- Missing translation: _textimagedownload_
 # -- Missing translation: _textimageexamples_
-# -- Missing translation: _textimagefaq_
-# -- Missing translation: _textimagesupport_
+
+# These are not translated because the pages themselves are not translated
+_textimagefaq_ [l=ru] {FAQ}
+_textimagesupport_ [l=ru] {Support}
 
 
@@ -34,11 +36,13 @@
 _httpicontexmplon_ {_httpimg_/exmplon.gif}
 
-## "-- Missing translation --" ## nav_bar_button ## tfaq ##
-_httpicontfaqof_ {_httpimg_/faqof.gif}
-_httpicontfaqon_ {_httpimg_/faqon.gif}
-
-## "-- Missing translation --" ## nav_bar_button ## tsup ##
-_httpicontsupof_ {_httpimg_/supof.gif}
-_httpicontsupon_ {_httpimg_/supon.gif}
+# These are not translated because the pages themselves are not translated
+
+## "faq" ## nav_bar_button ## tfaq ##
+_httpicontfaqof_ [l=ru] {_httpimg_/ru/faqof.gif}
+_httpicontfaqon_ [l=ru] {_httpimg_/ru/faqon.gif}
+
+## "support" ## nav_bar_button ## tsup ##
+_httpicontsupof_ [l=ru] {_httpimg_/ru/supof.gif}
+_httpicontsupon_ [l=ru] {_httpimg_/ru/supon.gif}
 
 
@@ -54,11 +58,29 @@
  <b>ÐÑÐŸÐµÐºÑÐ° ÐœÐŸÐ²ÐŸÐ·ÐµÐ»Ð°ÐœÐŽÑÐºÐŸÐ¹ ÑÐžÑÑÐŸÐ²ÐŸÐ¹ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž</b>Ð¿ÑÐž<b>Ð£ÐœÐžÐ²ÐµÑÑÐžÑÐµÑÐµ ÐÐ°Ð¹ÐºÐ°ÑÐŸ</b>Ðž ÑÐ°Ð·ÑÐ°Ð±ÐŸÑÐ°Ðœ Ðž ÑÐ°ÑÐ¿ÑÐŸÑÑÑÐ°ÐœÐµÐœ Ð² ÑÐŸÑÑÑÐŽÐœÐžÑÐµÑÑÐ²Ðµ Ñ <b>Ð®ÐÐÐ¡ÐÐ</b>Ðž<b>ÐÐµÐ¿ÑÐ°Ð²ÐžÑÐµÐ»ÑÑÑÐ²ÐµÐœÐœÐŸÐ¹ ÐŸÑÐ³Ð°ÐœÐžÐ·Ð°ÑÐžÐµÐ¹ Ð³ÑÐŒÐ°ÐœÐžÑÐ°ÑÐœÐŸÐ¹ ÐžÐœÑÐŸÑÐŒÐ°ÑÐžÐž</b>. ÐÐœ ÑÐ²Ð»ÑÐµÑÑÑ<b>ÐŸÑÐºÑÑÑÑÐŒ, ÐŒÐœÐŸÐ³ÐŸÑÐ·ÑÑÐœÑÐŒ</b>Ð¿ÑÐŸÐ³ÑÐ°ÐŒÐŒÐœÑÐŒ Ð¿ÑÐŸÐŽÑÐºÑÐŸÐŒ, Ð²ÑÐ¿ÑÑÐºÐ°ÐµÐŒÑÐŒ Ð¿ÐŸÐŽ ÑÐµÑÐŒÐžÐœÐ°ÐŒÐž ÐÐµÐœÐµÑÐ°Ð»ÑÐœÐŸÐ¹ ÐŸÐ±ÑÐµÑÑÐ²ÐµÐœÐœÐŸÐ¹ Ð»ÐžÑÐµÐœÐ·ÐžÐž GNU.}
 
-# -- Missing translation: _namur_
-
-# -- Missing translation: _t3_
-
-# -- Missing translation: _t4_
-
-# -- Missing translation: _t5_
+_namur_ [=ru] {ÐÑÐŸÐµÐºÑ Greenstone ÑÐ²Ð»ÑÐµÑÑÑ ÑÐµÐŽÑÐŒÑÐŒ Ð¿ÐŸÐ»ÑÑÐ°ÑÐµÐ»ÐµÐŒ ÐŽÐ²ÑÑ
+Ð»ÐµÑÐœÐžÑ
+ ÐœÐ°Ð³ÑÐ°ÐŽ ÐÐ°ÐŒÑÑÐ° <a href="http://www.info.fundp.ac.be/~jbl/IFIP/award.html">, ÐºÐŸÑÐŸÑÑÐ¹ Ð¿ÑÐžÑÑÐ¶ÐŽÐ°ÐµÑÑÑ Ð·Ð° ÑÐ²ÐµÐ»ÐžÑÐµÐœÐžÐµ Ð¿ÐŸÐœÐžÐŒÐ°ÐœÐžÑ ÐžÐœÑÐµÑÐœÐ°ÑÐžÐŸÐœÐ°Ð»ÑÐœÑÑ
+ ÑÐŸÑÐžÐ°Ð»ÑÐœÐŸ Ð·ÐœÐ°ÑÐžÐŒÑÑ
+ ÑÐµÑ
+ÐœÐŸÐ»ÐŸÐ³ÐžÐ¹ Ð² ÐŸÐ±Ð»Ð°ÑÑÐž ÐžÐœÑÐŸÑÐŒÐ°ÑÐžÐž Ðž ÐºÐŸÐŒÐŒÑÐœÐžÐºÐ°ÑÐžÐž.}
+
+_t3_ [l=ru] {
+Ð®ÐÐÐ¡ÐÐ Ð¿ÑÐŸÐ²ÐŸÐŽÐžÑ ÑÐµÐ³ÐžÐŸÐœÐ°Ð»ÑÐœÑÐµ ÑÑÐµÐœÐžÐœÐ³ÐŸÐ²ÑÐµ ÑÐµÐŒÐžÐœÐ°ÑÑ Ð¿ÐŸ ÐžÑÐ¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÐœÐžÑ Greenstone. Ð 2003 Ð³ÐŸÐŽÑ ÐŸÐœÐž Ð¿ÑÐŸÐ²ÐŸÐŽÐžÐ»ÐžÑÑ Ð² Ð°Ð²Ð³ÑÑÑÐµ Ð² ÐÐœÐŽÐžÐž, ÐÐ°ÐœÐ³Ð°Ð»ÐŸÑÐµ <a href="_httppagex_(report)">, Ð² ÑÐµÐœÑÑÐ±ÑÐµ - Ð² Ð¡ÐµÐœÐµÐ³Ð°Ð»Ðµ, ÐÐ°ÐºÐ°Ñ Ðž Ð² ÐœÐŸÑÐ±ÑÐµ Ð² Ð€ÐžÐŽÐ¶Ðž, Ð¡ÑÐ²Ð° <a href="_httppagex_(reportSuva)">. <a href="http://sourceforge.net/project/showfiles.php?group_id=12123&release_id=202808">. ÐÐŽÐµÑÑ </a> Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÑÐµÑ Ð¿Ð°ÐºÐµÑ Ð²ÑÐµÑ
+ ÐŒÐ°ÑÐµÑÐžÐ°Ð»ÐŸÐ², ÐºÐŸÑÐŸÑÑÐµ ÐŒÑ Ð¿ÑÐžÐ³ÐŸÑÐŸÐ²ÐžÐ»Ðž ÐŽÐ»Ñ ÑÐµÐŒÐžÐœÐ°ÑÐ° Ð² Ð¡ÑÐ²Ðµ: Ð»ÐµÐºÑÐžÐž, Ð»Ð°Ð±ÐŸÑÐ°ÑÐŸÑÐœÑÐµ Ð·Ð°ÐœÑÑÐžÑ, ÐŽÐŸÐºÑÐŒÐµÐœÑÑ, ÑÐµÑÑÐŸÐ²ÑÐµ ÑÐ°Ð¹Ð»Ñ Ðž Ñ.ÐŽ. ÐÐœÐž ÑÐŸÐºÑÑÐžÑÑÑÑÑÑ ÐœÐ° Ð¿ÐŸÑÑÑÐŸÐµÐœÐžÐž ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐ¹ Ñ Ð¿ÐŸÐŒÐŸÑÑÑ ÐÐžÐ±Ð»ÐžÐŸÑÐµÑÐœÐŸÐ³ÐŸ ÐžÐœÑÐµÑÑÐµÐ¹ÑÐ°. ÐÐŸÐ¶Ð°Ð»ÑÐ¹ÑÑÐ°, ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐ¹ÑÐµ ÐžÑ
+ ÑÐ²ÐŸÐ±ÐŸÐŽÐœÐŸ ÐŽÐ»Ñ ÐŸÐ±ÑÑÐµÐœÐžÑ ÐžÐ»Ðž Ð¿ÑÐµÐ¿ÐŸÐŽÐ°Ð²Ð°ÐœÐžÑ Greenstone.}
+
+_t4_ [l=ru] {
+<a href="http://sourceforge.net/projects/greenstone/"> ÐÐ°Ð³ÑÑÐ·ÐžÑÑ </a> Greenstone v2.41. ÐÐžÐ±Ð»ÐžÐŸÑÐµÑÐœÑÐ¹ ÐžÐœÑÐµÑÑÐµÐ¹Ñ Greenstone (ÐÐÐ), Ð»ÐµÐ³ÐºÐŸÐµ Ð² ÐžÑÐ¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÐœÐžÐž ÑÑÐœÐºÑÐžÐŸÐœÐ°Ð»ÑÐœÐŸÐµ ÑÑÐµÐŽÑÑÐ²ÐŸ Ð¿ÐŸÑÑÑÐŸÐµÐœÐžÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐ¹ Greenstone, Ð±ÑÐ» ÐžÐœÑÐµÐœÑÐžÐ²ÐœÐŸ Ð¿ÑÐŸÑÐµÑÑÐžÑÐŸÐ²Ð°Ðœ Ð¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÐµÐ»ÑÐŒÐž Ðž ÐŸÑÐ»Ð°Ð¶ÐµÐœ. ÐÑÐ»Ðž ÐÑ ÐµÑÐµ ÐœÐµ Ð¿ÑÐŸÐ±ÐŸÐ²Ð°Ð»Ðž ÐžÑÐ¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÑ ÐµÐ³ÐŸ, ÑÐµÐ¹ÑÐ°Ñ ÑÐ°ÐŒÐŸÐµ Ð²ÑÐµÐŒÑ ÑÐŽÐµÐ»Ð°ÑÑ ÑÑÐŸ (Ð° ÐµÑÐ»Ðž ÐŽÐŸ ÑÐŸÐ³ÐŸ Ñ ÐÐ°Ñ Ð²ÐŸÐ·ÐœÐžÐºÐ°Ð»Ðž Ð¿ÑÐŸÐ±Ð»ÐµÐŒÑ, Ð¿ÐŸÐ¶Ð°Ð»ÑÐ¹ÑÑÐ°, Ð¿ÐŸÐ¿ÑÐŸÐ±ÑÐ¹ÑÐµ ÑÑÑ ÐœÐŸÐ²ÑÑ Ð²ÐµÑÑÐžÑ). Greenstone 2.41 ÑÐ°ÐºÐ¶Ðµ Ð²ÐºÐ»ÑÑÐ°ÐµÑ ÐœÐŸÐ²ÑÐ¹ Ð¿Ð»Ð°Ð³ÐžÐœ ÐŽÐ»Ñ ÐŸÐ±ÑÐ°Ð±ÐŸÑÐºÐž Ð±Ð°Ð· ÐŽÐ°ÐœÐœÑÑ
+ CDS/ISIS, Ð²ÐŸÐ·ÐŒÐŸÐ¶ÐœÐŸÑÑÑ ÑÐºÑÐ¿ÐŸÑÑÐ° ÑÐŸÑÑÐ°Ð²ÐœÑÑ
+ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐ¹ ÐœÐ°  CD-ROM Ðž ÐŒÐœÐŸÐ³ÐŸ ÐŽÑÑÐ³ÐžÑ
+ ÐžÑÐ¿ÑÐ°Ð²Ð»ÐµÐœÐœÑÑ
+ ÐŸÑÐžÐ±ÐŸÐº Ðž ÑÐ»ÑÑÑÐµÐœÐžÐ¹.
+}
+
+_t5_ [l=ru] {
+ÐÐŽÐœÐ° ÐžÐ· ÐœÐ°ÐžÐ±ÐŸÐ»ÐµÐµ ÐŸÑÑÑÐŸÑÐŒÐœÑÑ
+ ÑÐ°ÑÑÐµÐ¹ ÐžÑÐ¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÐœÐžÑ Greenstone ÑÐŸÑÑÐŸÐžÑ  Ð²  ÐºÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÐŸÐœÐœÐŸÐŒ ÑÐ°Ð¹Ð»Ðµ  ÐŽÐ»Ñ ÐÐ°ÑÐµÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž. ÐÐ»Ñ ÑÐŸÐ³ÐŸ ÑÑÐŸÐ±Ñ Ð¿ÐŸÐŒÐŸÑÑ ÑÐ·ÐœÐ°ÑÑ, ÐºÐ°Ðº ÑÐŽÐµÐ»Ð°ÑÑ ÐµÐ³ÐŸ, ÐœÐµÑÐºÐŸÐ»ÑÐºÐŸ Ð¿ÑÐžÐŒÐµÑÐŸÐ² Ð¿ÐŸÐ»ÐœÐŸÐŽÐŸÐºÑÐŒÐµÐœÑÐžÑÐŸÐ²Ð°ÐœÐœÑÑ
+ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐ¹ Ð±ÑÐ»ÐŸ Ð¿ÐŸÐŒÐµÑÐµÐœÐŸ Ð² <a href="http://nzdl.org">nzdl.org</a>, ÐºÐŸÑÐŸÑÑÐµ  ÐŸÐ±ÑÑÑÐœÑÑÑ ÐœÐ° Ð±Ð°Ð·ÐŸÐ²ÐŸÐ¹ ÑÑÑÐ°ÐœÐžÑÐµ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž, ÐºÐ°Ðº ÐŸÐœÐž Ð±ÑÐ»Ðž ÐŸÐ±ÑÐµÐŽÐžÐœÐµÐœÑ.
+}
 
 _t6_ [l=ru] {ÐÐŸÐ»ÐœÑÐ¹ ÐžÐœÑÐµÑÑÐµÐ¹Ñ Greenstone Ðž Ð²ÑÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ°ÑÐžÑ ÑÐ²Ð»ÑÑÑÑÑ ÐŽÐŸÑÑÑÐ¿ÐœÑÐŒÐž ÐœÐ° <b>Ð°ÐœÐ³Ð»ÐžÐ¹ÑÐºÐŸÐŒ ÑÐ·ÑÐºÐµ</b>, <b>ÑÑÐ°ÐœÑÑÐ·ÑÐºÐŸÐŒ ÑÐ·ÑÐºÐµ</b>, <b>ÐžÑÐ¿Ð°ÐœÑÐºÐŸÐŒ ÑÐ·ÑÐºÐµ</b>, <b>ÑÑÑÑÐºÐŸÐŒ ÑÐ·ÑÐºÐµ </b> Ðž </b>ÐºÐ°Ð·Ð°Ñ
@@ -130,5 +152,8 @@
 .}
 
-# -- Missing translation: _t21_
+_t21_ [l=ru] {ÐÐ°Ð¶ÐŽÑÐ¹ ÐŽÐžÑÑÑÐžÐ±ÑÑÐžÐ² ÑÐ°ÐºÐ¶Ðµ Ð²ÐºÐ»ÑÑÐ°ÐµÑ "ÐÐžÐ±Ð»ÐžÐŸÑÐµÑÐœÑÐ¹ ÐžÐœÑÐµÑÑÐµÐ¹Ñ Greenstone", Ð³ÑÐ°ÑÐžÑÐµÑÐºÐŸÐµ ÑÑÐµÐŽÑÑÐ²ÐŸ ÐŽÐ»Ñ Ð¿ÐŸÑÑÑÐŸÐµÐœÐžÑ ÑÐžÑÑÐŸÐ²ÑÑ
+ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐº. Ð­ÑÐŸ Ð¿ÑÐµÐŽÐŸÑÑÐ°Ð²Ð»ÑÐµÑ ÐÐ°ÐŒ ÐŽÐŸÑÑÑÐ¿ Ðº ÑÑÐœÐºÑÐžÐŸÐœÐ°Ð»ÑÐœÑÐŒ Ð²ÐŸÐ·ÐŒÐŸÐ¶ÐœÐŸÑÑÑÐŒ Greenstone Ñ Ð¿ÐŸÐŒÐŸÑÑÑ ÑÐŽÐŸÐ±ÐœÐŸÐ³ÐŸ Ð² ÑÐ°Ð±ÐŸÑÐµ ÐžÐœÑÐµÑÑÐµÐ¹ÑÐ° "ÑÐºÐ°Ð¶Ðž Ðž ÑÐµÐ»ÐºÐœÐž". Ð§ÑÐŸÐ±Ñ ÐžÑÐ¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÑ ÑÑÐŸÑ ÐžÐœÑÑÑÑÐŒÐµÐœÑ, ÐÐ°ÐŒ ÐœÐµÐŸÐ±Ñ
+ÐŸÐŽÐžÐŒÐ° Ð¿ÐŸÐŽÑ
+ÐŸÐŽÑÑÐ°Ñ Ð²ÐµÑÑÐžÑ Java Run-time Environment, ÐºÐŸÑÐŸÑÑÑ ÐÑ ÐŒÐŸÐ¶ÐµÑÐµ Ð·Ð°Ð³ÑÑÐ·ÐžÑÑ Ñ ÑÐ°Ð¹ÑÐ° <a href="http://java.sun.com/j2se/">, Ð³ÐŽÐµ Ð¿ÐŸÑÐ»ÐµÐŽÐœÑÑ Ð²ÐµÑÑÐžÑ Ð² ÐœÐ°ÑÑÐŸÑÑÐµÐµ Ð²ÑÐµÐŒÑ 1.4.2 (Ð·Ð°ÑÐµÐŒ ÐœÐ°ÐŽÐŸ Ð²ÑÐ±ÑÐ°ÑÑ JRE, Ð° ÐœÐµ SDK).}
 
 _t22_ [l=ru] {ÐÐžÑÑÑÐžÐ±ÑÑÐžÐ² Windows}
@@ -368,7 +393,15 @@
  Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐº. Ð­ÑÐŸ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ ÐœÐ°ÑÐ°Ð»Ð° Ð¶ÐžÐ·ÐœÑ ÐºÐ°Ðº Ð¿ÐµÑÐ°ÑÐœÑÐ¹ ÐŽÐŸÐºÑÐŒÐµÐœÑ, ÑÐŸÐ·ÐŽÐ°ÐœÐœÑÐ¹ Ð² WordPerfect 5.2, ÐºÐŸÑÐŸÑÑÐ¹ Ð¿ÑÐµÑÐµÑÐ¿ÐµÐ» ÐœÐµÑÐºÐŸÐ»ÑÐºÐŸ ÐžÑÐµÑÐ°ÑÐžÐ¹ ÐŽÐŸ ÑÐŸÐ³ÐŸ, ÐºÐ°Ðº ÑÑÐ°ÑÑ Ð¿ÐŸÐ»ÐœÐŸÑÑÑÑ ÐŽÐŸÑÑÑÐ¿ÐœÐŸÐ¹ ÐŽÐ»Ñ Ð¿ÐŸÐžÑÐºÐ° Ñ ÐžÑÐ¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÐœÐžÐµÐŒ Greenstone.}
 
-# -- Missing translation: _ex5t_
-
-# -- Missing translation: _ex5d_
+_ex5t_ [l=ru] {ÐÐŸÑÑÐŽÐ°ÑÑÑÐ²ÐµÐœÐœÐ°Ñ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐ° ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž ÐœÐŸÑ ÐŒÑÐ·ÑÐºÐž Ð¢Ð°ÑÐŒÐ°ÐœÐžÐž}
+
+_ex5d_ [l=ru] {Ð­ÑÐŸÑ ÑÐ°Ð¹Ñ ÐŽÐµÐ»Ð°ÐµÑ ÐŽÐŸÑÑÑÐ¿ÐœÑÐŒ Ð¿ÑÐžÐ±Ð»ÐžÐ·ÐžÑÐµÐ»ÑÐœÐŸ ÐŽÐ²ÐµÑÑÐž ÑÐ»ÐµÐŒÐµÐœÑÐŸÐ² ÐžÐ· Ð±ÐŸÐ³Ð°ÑÐŸÐ³ÐŸ Ñ
+ÑÐ°ÐœÐžÐ»ÐžÑÐ° ÐŸÐ¿ÑÐ±Ð»ÐžÐºÐŸÐ²Ð°ÐœÐœÐŸÐ¹ ÐŒÑÐ·ÑÐºÐž Ð² ÐÐŸÑÑÐŽÐ°ÑÑÑÐ²ÐµÐœÐœÐŸÐ¹ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐµ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐ¹ ÐœÐ°ÑÐ»ÐµÐŽÐžÑ Ð¢Ð°ÑÐŒÐ°ÐœÐžÐž. ÐÐœÐž ÑÐŸÐ·ÐŽÐ°ÐœÑ Ð² Ð¿ÐµÑÐžÐŸÐŽ Ñ 1840-ÑÑ
+ ÐŽÐŸ 1930-ÑÑ
+ Ð³ÐŸÐŽÐŸÐ² Ðž Ð²ÐºÐ»ÑÑÐ°ÑÑ Ð¿ÑÐµÑÑ ÐŽÐ»Ñ ÑÐŸÑÑÐµÐ¿ÐžÐ°ÐœÐŸ Ðž ÐŽÑÑÐ³ÐžÑ
+ ÐžÐœÑÑÑÑÐŒÐµÐœÑÐŸÐ², ÐŒÐµÐŽÐœÑÑ
+ ÐŽÑÑ
+ÐŸÐ²ÑÑ
+ ÐŸÑÐºÐµÑÑÑÐŸÐ² Ðž Ð¿ÐµÑÐœÐž Ð²ÑÐµÑ
+ Ð²ÐžÐŽÐŸÐ² - Ð¿ÐŸÐ¿ÑÐ»ÑÑÐœÑÐµ, ÑÐ²ÑÑÐµÐœÐœÑÐµ, Ð¿Ð°ÑÑÐžÐŸÑÐžÑÐµÑÐºÐžÐµ Ðž ÐŽÐ°Ð¶Ðµ Ð¿ÐµÑÐœÐž, Ð·Ð°Ð¿ÐžÑÐ°ÐœÐœÑÐµ ÐŽÐ»Ñ Ð¿ÑÐžÐ²Ð»ÐµÑÐµÐœÐžÑ ÑÑÑÐžÑÑÐŸÐ² Ð¿ÐŸÑÐµÑÐžÑÑ Ð¢Ð°ÑÐŒÐ°ÐœÐžÑ.}
 
 
@@ -953,5 +986,5 @@
 _t295_ [l=ru] {ÐÑÐ°Ð±ÑÐºÐžÐ¹ ÑÐ·ÑÐº}
 
-# -- Missing translation: _armenian_
+_armenian_ [l=ru] {ÐÑÐŒÑÐœÑÐºÐžÐ¹}
 
 _lng5_ [l=ru] {ÐÐŸÑÐœÐžÐ¹ÑÐºÐžÐ¹}
@@ -967,5 +1000,5 @@
 _t303_ [l=ru] {ÐÐŸÐ»Ð»Ð°ÐœÐŽÑÐºÐžÐ¹ ÑÐ·ÑÐº; ÐÐŸÐ»Ð»Ð°ÐœÐŽÑÐºÐžÐ¹ ÑÐ·ÑÐº}
 
-# -- Missing translation: _farsi_
+_farsi_ [l=ru] {Ð€Ð°ÑÑÐž}
 
 _t304_ [l=ru] {Ð€ÑÐ°ÐœÑÑÐ·ÑÐºÐžÐ¹ ÑÐ·ÑÐº}
@@ -997,5 +1030,6 @@
 _t314_ [l=ru] {ÑÐ·ÑÐº ÐÐ°ÐŸÑÐž}
 
-# -- Missing translation: _marathi_
+_marathi_ [l=ru] {Ð¯Ð·ÑÐº ÐŒÐ°ÑÐ°ÑÑ
+Ðž}
 
 _t315_ [l=ru] {ÐÐµÐ¿Ð°Ð»ÑÑÐºÐžÐ¹ ÑÐ·ÑÐº}