Index: trunk/gli/help/ru/help_index.xml
===================================================================
--- trunk/gli/help/ru/help_index.xml	(revision 7017)
+++ trunk/gli/help/ru/help_index.xml	(revision 7077)
@@ -1,6 +1,20 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<Document><Section name="introduction"><Title>Ð±ÐÐÐÐÐÐ¥Ð</Title><Section name="ofmiceandmenus"><Title>Ð»ÐšÐ¬Ð­ Ð¥ Ð»ÐÐÐ§</Title></Section><Section name="howtoavoidthisdocument"><Title>Ð¹Ð®Ð Ð¥ÐÐÐÐ€Ð®Ð Ð­ ÐÐ ÐÐÐ¥Ðª Ð©Ð ÐÐŠÐ ÐÐÐÐ¡ÐÐÐÐ Ð®</Title></Section></Section><Section name="startingoff"><Title>ÐŽÐ Ð¯Ð Ð®ÐÐ Ð®</Title><Section name="creatingacollection"><Title>ÑÐÐÐÐ®ÐÐ¥Ð ÐÐÐÐÐ ÐÐÐÐÐÐÐÐ¥Ð¥</Title></Section><Section name="savingacollection"><Title>ÑÐÐ£ÐÐ®ÐÐÐÐ¥Ð ÐÐÐÐÐÐÐÐ¥Ð¥</Title></Section><Section name="openingacollection"><Title>ÐœÐ ÐÐÐšÐ Ð¥Ð Ð¯Ð¡Ð«ÐÐ¯Ð ÐÐ¡Ð§Ð«ÐÐ ÐÐÐÐÐÐÐÐ¥Ð¥</Title></Section></Section><Section name="collectingfiles"><Title>ÑÐÐÐ Ð¢Ð®ÐÐÐÐ ÐÐÐª Ð±Ð®Ð¬ÐÐ ÐÐÐÐÐÐÐÐ¥Ð¥</Title><Section name="thegatherview"><Title>ÐŸÐÐÐÐ¯Ð Ð®ÐÐÐÐÐ¥Ð ÐÐ®ÐÐÐÐ¥Ð ÐÐÐª</Title></Section><Section name="creatingfolders"><Title>ÑÐÐÐÐ®ÐÐ¥Ð ÐÐ®ÐÐÐ</Title></Section><Section name="addingfiles"><Title>ÐŽÐÐÐ®ÐÐÐÐÐ¥Ð Ð¢Ð®ÐÐÐÐ</Title></Section><Section name="removingfiles"><Title>ÑÐÐ®ÐÐÐÐ¥Ð Ð¢Ð®ÐÐÐÐ</Title></Section><Section name="filteringthetree"><Title>ÑÐ¥ÐÐ­Ð ÐÐÐÐ®ÐÐ¥Ð ÐÐÐÐÐÐ®</Title></Section></Section><Section name="enrichingacollection"><Title>ÐœÐÐÐŠÐ®Ð«ÐÐÐ¥Ð ÐÐÐÐÐÐÐÐ¥Ð¥ ÐÐÐ Ð®ÐÐ®ÐÐÐšÐÐ¥</Title><Section name="theenrichview"><Title>ÐŸÐÐÐÐ¯Ð Ð®ÐÐÐÐÐ¥Ð ÐÐÐÐŠÐ®Ð«ÐÐÐ¥Ðª</Title></Section><Section name="selectingmetadatasets"><Title>ÐœÐ ÐÐÐ ÐÐ®ÐÐÐÐÐ ÐÐÐ Ð®ÐÐ®ÐÐÐšÐ£</Title></Section><Section name="appendingmetadata"><Title>ÐŽÐÐÐ®ÐÐÐÐÐ¥Ð ÐÐÐ Ð®ÐÐ®ÐÐÐšÐ£</Title></Section><Section name="addingpreviouslydefinedmetadata"><Title>ÐŽÐÐÐ®ÐÐÐÐ¥Ð ÐÐÐÐÐÐ®ÐÐ¥Ð ÐÐÐ­ÐÐ ÐÐ®ÐÐ®ÐÐÐšÐ£ ÐÐÐ Ð®ÐÐ®ÐÐÐšÐ£</Title></Section><Section name="updatingmetadata"><Title>ÐœÐÐÐÐÐÐÐÐ¥Ð ÐÐÐ Ð®ÐÐ®ÐÐÐšÐ£</Title></Section><Section name="removingmetadata"><Title>ÑÐÐ®ÐÐÐÐ¥Ð ÐÐÐ Ð®ÐÐ®ÐÐÐšÐ£</Title></Section><Section name="reviewingmetadata"><Title>ÐŸÐÐÐ¯ÐÐÐ Ð ÐÐ®ÐÐ®ÐÐÐšÐ£ ÐÐÐ Ð®ÐÐ®ÐÐÐšÐ£</Title></Section><Section name="importingpreviouslyassignedmetadata"><Title>Ñ
-ÐÐÐÐÐ Ð¥ÐÐÐÐ®ÐÐ¥Ð ÐÐÐÐÐÐ®ÐÐ¥Ð ÐÐÐ­ÐÐ ÐÐ®ÐÐ®ÐÐÐšÐ£ ÐÐÐ Ð®ÐÐ®ÐÐÐšÐ£</Title></Section></Section><Section name="designingacollection"><Title>ÐœÐ ÐÐÐÐ®Ð€ÐÐÐ¥Ð Ð±Ð®Ð¬ÐÐ ÐÐÐÐÐÐÐÐ¥Ð¥</Title><Section name="thedesignview"><Title>Ð±Ð¥Ð ÐÐ¥ÐÐ®ÐÐÐ®</Title></Section><Section name="generalsettings"><Title>ÐœÐÐ«Ð¥Ð Ð¡Ð¯Ð Ð®ÐÐÐÐÐ¥</Title></Section><Section name="plugins"><Title>ÐŸÐÐ®ÐŠÐ¥ÐÐš ÐÐÐÐ¡ÐÐÐÐ Ð®</Title></Section><Section name="searchtypes"><Title>Ð±Ð¥ÐÐš ÐÐÐ¥Ð¯ÐÐ®</Title></Section><Section name="searchindexes"><Title>Ñ
-ÐÐÐÐÐ¯Ðš ÐÐÐ¥Ð¯ÐÐ®</Title></Section><Section name="partitionindexes"><Title>Ñ
-ÐÐÐÐÐ¯Ðš ÐÐ®ÐÐÐ¥ÐÐÐ¥Ðª</Title><Section name="definefilters"><Title>ÐœÐÐÐÐÐÐÐ¥Ð Ð­ Ð¢Ð¥ÐÐ­Ð ÐÐš</Title></Section><Section name="assignpartitions"><Title>ÐŒÐ®ÐÐÐ®ÐÐÐÐ¥Ð ÐÐ®ÐÐÐÐÐÐÐ¥Ðª</Title></Section><Section name="assignlanguages"><Title>Ð³Ð®ÐÐ®ÐÐÐšÐ ÐªÐÐšÐÐ¥</Title></Section></Section><Section name="xcollectionsearching"><Title>ÑÐÐÐÐÐ¯Ð ÐÐšÐ ÐÐÐ¥Ð¯Ð Ð ÐÐÐ¯ÐÐÐÐ­ÐÐ¥Ð£ ÐÐÐÐÐÐÐÐ¥ÐªÐ£</Title></Section><Section name="classifiers"><Title>Ð¹ÐÐ®Ð¯Ð¯Ð¥Ð¢Ð¥ÐÐ®Ð ÐÐÐš</Title></Section><Section name="formatstatements"><Title>ÐœÐ¯ÐÐÐÐÐÐÐ¯Ð Ð¥ Ð¢ÐÐÐÐ®Ð Ð®</Title></Section><Section name="translatetext"><Title>ÐŸÐÐÐÐÐÐ Ð ÐÐÐ¯Ð Ð®</Title></Section><Section name="metadatasets"><Title>ÑÐ¯Ð Ð®ÐÐÐÐÐ¥ ÐÐÐ Ð®ÐÐ®ÐÐÐšÐ£</Title></Section></Section><Section name="producingthecollection"><Title>ÐŸÐÐ¯Ð ÐÐÐÐÐ¥Ð Ð±Ð®Ð¬ÐÐ ÐÐÐÐÐÐÐÐ¥Ð¥</Title><Section name="thecreateview"><Title>ÑÐÐÐÐ®ÐÐ¥Ð ÐÐÐÐÐ¯Ð Ð®ÐÐÐÐÐ¥Ðª</Title></Section><Section name="buildsettings"><Title>Ñ
-ÐÐÐÐÐ  Ð¥ Ð¡Ð¯Ð Ð®ÐÐÐÐÐ¥ ÐÐÐ¯Ð ÐÐÐÐÐ¥Ðª</Title></Section><Section name="messagelog"><Title>Ð¿ÐÐŠÐ¥Ð¯Ð ÐÐ®ÐÐ¥Ðª Ð¯ÐÐÐÐ«ÐÐÐ¥Ð</Title></Section><Section name="theprogressview"><Title>ÐŸÐÐÐÐ¯Ð Ð®ÐÐÐÐÐ¥Ð ÐÐÐÐÐÐ¥Ð€ÐÐÐ¥Ðª </Title></Section></Section><Section name="miscellaneous"><Title>Ð¿Ð®ÐÐÐÐ</Title><Section name="preferences"><Title>ÐŸÐÐÐÐÐÐÐ ÐÐÐ¥Ðª</Title></Section><Section name="fileassociations"><Title>ÑÐ¯Ð¯ÐÐÐ¥Ð®ÐÐ¥Ð¥ Ð¢Ð®ÐÐÐ®</Title></Section><Section name="exportingcollections"><Title>Ð­ÐºÑÐ¿ÐŸÑÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐ¹ ÐœÐ° CD-ROM</Title></Section></Section><Section name="metadatasetandprofileediting"><Title>ÑÐ¯Ð Ð®ÐÐÐÐÐ® ÐÐÐ Ð®ÐÐ®ÐÐÐšÐ£ Ð¥ ÐÐÐÐ®ÐÐ Ð¥ÐÐÐÐ®ÐÐ¥Ð ÐÐ®ÐÐÐÐ® ÐÐ®ÐÐ®ÐÐÐ ÐÐÐ</Title><Section name="editingmetadatasets"><Title>Ð¿ÐÐÐ®ÐÐ Ð¥ÐÐÐÐ®ÐÐ¥Ð Ð¡Ð¯Ð Ð®ÐÐÐÐÐ ÐÐÐ Ð®ÐÐ®ÐÐÐšÐ£</Title></Section><Section name="editingimportprofiles"><Title>Ð¿ÐÐÐ®ÐÐ Ð¥ÐÐÐÐ®ÐÐ¥Ð Ð¯ÐÐÐÐ¯Ð Ð Ð¥ÐÐÐÐÐ Ð¥ÐÐÐÐ®ÐÐÐšÐ£ ÐÐÐ Ð®ÐÐ®ÐÐÐšÐ£</Title></Section></Section></Document>
+<Document><Section name="introduction"><Title>ÐÐ²ÐµÐŽÐµÐœÐžÐµ</Title><Section name="ofmiceandmenus"><Title>ÐÑÑÑ Ðž ÐÐµÐœÑ</Title></Section><Section name="howtoavoidthisdocument"><Title>ÐÐ°Ðº ÐžÐ·Ð±ÐµÐ¶Ð°ÑÑ ÑÑÐµÐœÐžÑ ÑÑÐŸÐ³ÐŸ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ°</Title></Section></Section><Section name="startingoff"><Title>ÐÐŸ ÑÑÐ°ÑÑÐ°</Title><Section name="creatingacollection"><Title>Ð¡ÐŸÐ·ÐŽÐ°ÐœÐžÐµ ÐœÐŸÐ²ÐŸÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž</Title></Section><Section name="savingacollection"><Title>Ð¡ÐŸÑ
+ÑÐ°ÐœÐµÐœÐžÐµ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž</Title></Section><Section name="openingacollection"><Title>ÐÑÐºÑÑÑÐžÐµ ÑÑÑÐµÑÑÐ²ÑÑÑÐµÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž</Title></Section></Section><Section name="collectingfiles"><Title>Ð¡Ð±ÐŸÑ ÑÐ°Ð¹Ð»ÐŸÐ² ÐŽÐ»Ñ ÐÐ°ÑÐµÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž</Title><Section name="thegatherview"><Title>ÐÑÐµÐŽÑÑÐ°Ð²Ð»ÐµÐœÐžÐµ ÐœÐ°ÐºÐŸÐ¿ÐžÑÐµÐ»Ñ</Title></Section><Section name="creatingfolders"><Title>Ð¡ÐŸÐ·ÐŽÐ°ÐœÐžÐµ Ð¿Ð°Ð¿ÐŸÐº</Title></Section><Section name="addingfiles"><Title>ÐÐŸÐ±Ð°Ð²Ð»ÐµÐœÐžÐµ ÑÐ°Ð¹Ð»ÐŸÐ²</Title></Section><Section name="removingfiles"><Title>Ð£ÐŽÐ°Ð»ÐµÐœÐžÐµ ÑÐ°Ð¹Ð»ÐŸÐ²</Title></Section><Section name="filteringthetree"><Title>Ð€ÐžÐ»ÑÑÑÐŸÐ²Ð°ÐœÐžÐµ ÐŽÐµÑÐµÐ²Ð°</Title></Section></Section><Section name="enrichingacollection"><Title>ÐÐ±ÐŸÐ³Ð°ÑÐµÐœÐžÐµ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐŒÐž</Title><Section name="theenrichview"><Title>ÐÑÐµÐŽÑÑÐ°Ð²Ð»ÐµÐœÐžÐµ ÐŸÐ±ÐŸÐ³Ð°ÑÐµÐœÐžÑ</Title></Section><Section name="selectingmetadatasets"><Title>ÐÑÐ±ÐŸÑ ÐœÐ°Ð±ÐŸÑÐŸÐ² ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
+</Title></Section><Section name="appendingmetadata"><Title>ÐÐŸÐ±Ð°Ð²Ð»ÐµÐœÐžÐµ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
+</Title></Section><Section name="addingpreviouslydefinedmetadata"><Title>ÐÐŸÐ±Ð°Ð²Ð»ÐœÐžÐµ Ð¿ÑÐµÐŽÐ²Ð°ÑÐžÑÐµÐ»ÑÐœÐŸ Ð·Ð°ÐŽÐ°ÐœÐœÑÑ
+ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
+</Title></Section><Section name="updatingmetadata"><Title>ÐÐ±ÐœÐŸÐ²Ð»ÐµÐœÐžÐµ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
+</Title></Section><Section name="removingmetadata"><Title>Ð£ÐŽÐ°Ð»ÐµÐœÐžÐµ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
+</Title></Section><Section name="reviewingmetadata"><Title>ÐÑÐŸÑÐŒÐŸÑÑ Ð·Ð°ÐŽÐ°ÐœÐœÑÑ
+ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
+</Title></Section><Section name="importingpreviouslyassignedmetadata"><Title>ÐÐŒÐ¿ÐŸÑÑÐžÑÐŸÐ²Ð°ÐœÐžÐµ Ð¿ÑÐµÐŽÐ²Ð°ÑÐžÑÐµÐ»ÑÐœÐŸ Ð·Ð°ÐŽÐ°ÐœÐœÑÑ
+ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
+</Title></Section></Section><Section name="designingacollection"><Title>ÐÑÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐµ ÐÐ°ÑÐµÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž</Title><Section name="thedesignview"><Title>ÐÐžÐŽ ÐŽÐžÐ·Ð°Ð¹ÐœÐ°</Title></Section><Section name="generalsettings"><Title>ÐÐ±ÑÐžÐµ ÑÑÑÐ°ÐœÐŸÐ²ÐºÐž</Title></Section><Section name="plugins"><Title>ÐÐ»Ð°Ð³ÐžÐœÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ°</Title></Section><Section name="searchtypes"><Title>ÐÐžÐŽÑ Ð¿ÐŸÐžÑÐºÐ°</Title></Section><Section name="searchindexes"><Title>ÐÐœÐŽÐµÐºÑÑ Ð¿ÐŸÐžÑÐºÐ°</Title></Section><Section name="partitionindexes"><Title>ÐÐœÐŽÐµÐºÑÑ ÑÐ°Ð·Ð±ÐžÐµÐœÐžÑ</Title><Section name="definefilters"><Title>ÐÐ¿ÑÐµÐŽÐµÐ»ÐžÑÑ ÑÐžÐ»ÑÑÑÑ</Title></Section><Section name="assignpartitions"><Title>ÐÐ°Ð·ÐœÐ°ÑÐµÐœÐžÐµ ÑÐ°Ð·ÐŽÐµÐ»ÐµÐœÐžÑ</Title></Section><Section name="assignlanguages"><Title>ÐÐ°ÐŽÐ°ÐœÐœÑÐµ ÑÐ·ÑÐºÐž</Title></Section></Section><Section name="xcollectionsearching"><Title>Ð¡ÐŸÐ²ÐŒÐµÑÑÐœÑÐ¹ Ð¿ÐŸÐžÑÐº Ð² ÐœÐµÑÐºÐŸÐ»ÑÐºÐžÑ
+ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑÑ
+</Title></Section><Section name="classifiers"><Title>ÐÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑÑ</Title></Section><Section name="formatstatements"><Title>ÐÑÐŸÐ±ÐµÐœÐœÐŸÑÑÐž ÑÐŸÑÐŒÐ°ÑÐ°</Title></Section><Section name="translatetext"><Title>ÐÐµÑÐµÐ²ÐŸÐŽ ÑÐµÐºÑÑÐ°</Title></Section><Section name="metadatasets"><Title>Ð£ÑÑÐ°ÐœÐŸÐ²ÐºÐž ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
+</Title></Section></Section><Section name="producingthecollection"><Title>ÐÐŸÑÑÑÐŸÐµÐœÐžÐµ ÐÐ°ÑÐµÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž</Title><Section name="thecreateview"><Title>Ð¡ÐŸÐ·ÐŽÐ°ÐœÐžÐµ Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÐµÐœÐžÑ</Title></Section><Section name="buildsettings"><Title>ÐÐŒÐ¿ÐŸÑÑ Ðž ÑÑÑÐ°ÐœÐŸÐ²ÐºÐž Ð¿ÐŸÑÑÑÐŸÐµÐœÐžÑ</Title></Section><Section name="messagelog"><Title>Ð ÐµÐ³ÐžÑÑÑÐ°ÑÐžÑ ÑÐŸÐŸÐ±ÑÐµÐœÐžÐ¹</Title></Section><Section name="theprogressview"><Title>ÐÑÐµÐŽÑÑÐ°Ð²Ð»ÐµÐœÐžÐµ Ð¿ÑÐŸÐŽÐ²ÐžÐ¶ÐµÐœÐžÑ </Title></Section></Section><Section name="miscellaneous"><Title>Ð Ð°Ð·ÐœÐŸÐµ</Title><Section name="preferences"><Title>ÐÑÐµÐŽÐ¿ÐŸÑÑÐµÐœÐžÑ</Title></Section><Section name="fileassociations"><Title>ÐÑÑÐŸÑÐžÐ°ÑÐžÐž ÑÐ°Ð¹Ð»Ð°</Title></Section><Section name="exportingcollections"><Title>Ð­ÐºÑÐ¿ÐŸÑÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐ¹ ÐœÐ° CD-ROM</Title></Section></Section><Section name="metadatasetandprofileediting"><Title>Ð£ÑÑÐ°ÐœÐŸÐ²ÐºÐ° ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
+ Ðž ÑÐµÐŽÐ°ÐºÑÐžÑÐŸÐ²Ð°ÐœÐžÐµ ÐœÐ°Ð±ÐŸÑÐ° Ð¿Ð°ÑÐ°ÐŒÐµÑÑÐŸÐ²</Title><Section name="editingmetadatasets"><Title>Ð ÐµÐŽÐ°ÐºÑÐžÑÐŸÐ²Ð°ÐœÐžÐµ ÑÑÑÐ°ÐœÐŸÐ²ÐŸÐº ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
+</Title></Section><Section name="editingimportprofiles"><Title>Ð ÐµÐŽÐ°ÐºÑÐžÑÐŸÐ²Ð°ÐœÐžÐµ ÑÐ²ÐŸÐ¹ÑÑÐ² ÐžÐŒÐ¿ÐŸÑÑÐžÑÐŸÐ²Ð°ÐœÐœÑÑ
+ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
+</Title></Section></Section></Document>