Index: /trunk/gsdl/bin/script/buildcol.pl
===================================================================
--- /trunk/gsdl/bin/script/buildcol.pl	(revision 7100)
+++ /trunk/gsdl/bin/script/buildcol.pl	(revision 7101)
@@ -156,44 +156,4 @@
     return &gsprintf::gsprintf(@_);
 }
-
-
-#  sub print_usage {
-#      print STDOUT "\n";
-#      print STDOUT "buildcol.pl: Builds the indexes of a Greenstone collection.\n\n";
-#      print STDOUT "  usage: $0 [options] collection-name\n\n";
-#      print STDOUT "  options:\n";
-#      print STDOUT "   -verbosity number     0=none, 3=lots\n";
-#      print STDOUT "   -archivedir directory Where the archives live\n";
-#      print STDOUT "   -builddir directory   Where to put the built indexes\n";
-#      print STDOUT "   -maxdocs number       Maximum number of documents to build\n";
-#      print STDOUT "   -debug                Print output to STDOUT\n";
-#      print STDOUT "   -mode all|compress_text|build_index|infodb\n";
-#      print STDOUT "   -index indexname      Index to build (will build all in\n"; 
-#      print STDOUT "                         config file if not set)\n";
-#      print STDOUT "   -keepold              will not destroy the current contents of the\n";
-#      print STDOUT "                         building directory\n";
-#      print STDOUT "   -no_text              Don't store compressed text. This option is\n";
-#      print STDOUT "                         useful for minimizing the size of the built\n";
-#      print STDOUT "                         indexes if you intend always to display the\n";
-#      print STDOUT "                         original documents at run time (i.e. you won't\n";
-#      print STDOUT "                         be able to retrieve the compressed text version)\n";
-#      print STDOUT "   -allclassifications   Don't remove empty classifications\n";
-#      print STDOUT "   -create_images        Attempt to create default images for new\n";
-#      print STDOUT "                         collection. This relies on the Gimp being\n";
-#      print STDOUT "                         installed along with relevant perl modules\n";
-#      print STDOUT "                         to allow scripting from perl\n";
-#      print STDOUT "   -collectdir directory Collection directory (defaults to " .
-#  	&util::filename_cat ($ENV{'GSDLHOME'}, "collect") . ")\n";
-#      print STDOUT "   -out                  Filename or handle to print output status to.\n";
-#      print STDOUT "                         The default is STDERR\n";
-#      print STDOUT "   -no_strip_html        Do not strip the html tags from the indexed text\n";
-#      print STDOUT "                         (only used for mgpp collections).\n\n";
-#      print STDOUT "   -faillog name         Fail log filename. This log receives the filenames\n";
-#      print STDOUT "                         of any files which fail to be processed (defaults.\n";
-#      print STDOUT "                         to " . 
-#  	&util::filename_cat("<collectdir>", "colname", "etc", "fail.log") . ")\n";
-#      print STDOUT "  [Type \"perl -S buildcol.pl | more\" if this help text scrolled off your screen]";
-#      print STDOUT "\n" unless $ENV{'GSDLOS'} =~ /^windows$/i;
-#  }
 
 
@@ -249,4 +209,8 @@
     }
 
+    if ($gli) { # the gli wants strings to be in UTF-8
+	&gsprintf::output_strings_in_UTF8; 
+    }
+
     $textindex = "";
     my $close_out = 0;
Index: /trunk/gsdl/bin/script/exportcol.pl
===================================================================
--- /trunk/gsdl/bin/script/exportcol.pl	(revision 7100)
+++ /trunk/gsdl/bin/script/exportcol.pl	(revision 7101)
@@ -61,18 +61,8 @@
 
 
-#sub print_usage {
-#    print STDERR "\n";
-#    print STDERR "exportcol.pl: Exports  collection for writing to CD-ROM.\n\n";
-#    print STDERR "  usage: $0 [options] collection-name\n\n";
-#    print STDERR "   -out    Filename or handle to print debug info to.\n";
-#    print STDERR "           The default is STDERR\n";
-#    print STDERR "   -cdname The name of the cd - this is what will appear in the start menu once the cd is installed.\n";
-#    print STDERR "           The default is 'Greenstone Collections'.\n\n";
-#}
-
 &main();
 
 sub main {
-    my ($out, $cdname);
+    my ($language, $out, $cdname, $gli);
 
     my $xml = 0;
@@ -82,4 +72,5 @@
 			 'out/.*/STDERR', \$out,
 			 'cdname/.*/', \$cdname,
+			 'gli', \$gli,
 			 q^xml^, \$xml)) {
 
@@ -99,4 +90,8 @@
     }
 
+    if ($gli) { # the gli wants strings to be in UTF-8
+	&gsprintf::output_strings_in_UTF8; 
+    }
+    
     my $dirname=""; 
     if ($cdname eq "") {
Index: /trunk/gsdl/bin/script/import.pl
===================================================================
--- /trunk/gsdl/bin/script/import.pl	(revision 7100)
+++ /trunk/gsdl/bin/script/import.pl	(revision 7101)
@@ -165,49 +165,4 @@
 }
 
-
-#  sub print_usage {
-#      print STDOUT "\n";
-#      print STDOUT "import.pl: Converts documents in collections -importdir directory into\n";
-#      print STDOUT "           xml documents which are written to the -archivedir directory.\n\n";
-#      print STDOUT "  usage: $0 [options] collection-name\n\n";
-#      print STDOUT "  options:\n";
-#      print STDOUT "   -verbosity number      0=none, 3=lots\n";
-#      print STDOUT "   -importdir directory   Where the original material lives\n";
-#      print STDOUT "   -archivedir directory  Where the converted material ends up\n";
-#      print STDOUT "   -keepold               Will not destroy the current contents of the\n";
-#      print STDOUT "                          archives directory (the default)\n";
-#      print STDOUT "   -removeold             Will remove the old contents of the archives\n";
-#      print STDOUT "                          directory -- use with care\n";
-#      print STDOUT "   -gzip                  Use gzip to compress resulting xml documents\n";
-#      print STDOUT "                          (don't forget to include ZIPPlug in your plugin\n";
-#      print STDOUT "                          list when building from compressed documents)\n";
-#      print STDOUT "   -maxdocs number        Maximum number of documents to import\n";
-#      print STDOUT "   -groupsize number      Number of import documents to group into one XML file\n";
-#      print STDOUT "   -OIDtype hash|incremental The method to use when generating unique\n";
-#      print STDOUT "                          identifiers for each document. \"hash\" (the\n";
-#      print STDOUT "                          default) hashes the contents of the file and so\n";
-#      print STDOUT "                          will be the same every time the collection is\n";
-#      print STDOUT "                          imported. \"incremental\" is a simple document\n";
-#      print STDOUT "                          count and so will be significantly faster than\n";
-#      print STDOUT "                          \"hash\". It is not guaranteed to always assign\n";
-#      print STDOUT "                          the same identifier to a given document though\n";
-#      print STDOUT "                          and does not allow further documents to be added\n";
-#      print STDOUT "                          to existing xml archives\n";
-#      print STDOUT "   -sortmeta metadata     Sort documents alphabetically by metadata for\n";
-#      print STDOUT "                          building. This will be disabled if groupsize > 1\n";
-#      print STDOUT "   -debug                 Print imported text to STDOUT\n";
-#      print STDOUT "   -collectdir directory  Collection directory (defaults to " .
-#  	&util::filename_cat ($ENV{'GSDLHOME'}, "collect") . ")\n";
-#      print STDOUT "   -out name              Filename or handle to print output status to.\n";
-#      print STDOUT "                          The default is STDERR\n";
-#      print STDOUT "   -statsfile name        Filename or handle to print import statistics to.\n";
-#      print STDOUT "                          The default is STDERR\n";
-#      print STDOUT "   -faillog name          Fail log filename. This log receives the filenames\n";
-#      print STDOUT "                          of any files which fail to be processed (defaults\n";
-#      print STDOUT "                          to " . 
-#  	&util::filename_cat("<collectdir>", "colname", "etc", "fail.log") . ")\n";
-#      print STDOUT "  [Type \"perl -S import.pl | more\" if this help text scrolled off your screen]";
-#      print STDOUT "\n" unless $ENV{'GSDLOS'} =~ /^windows$/i;
-#  }
 
 &main();
@@ -260,4 +215,7 @@
     }
 
+    if ($gli) { # the gli wants strings to be in UTF-8
+	&gsprintf::output_strings_in_UTF8; 
+    }
     my $close_out = 0;
     if ($out !~ /^(STDERR|STDOUT)$/i) {
Index: /trunk/gsdl/bin/script/mkcol.pl
===================================================================
--- /trunk/gsdl/bin/script/mkcol.pl	(revision 7100)
+++ /trunk/gsdl/bin/script/mkcol.pl	(revision 7101)
@@ -98,30 +98,4 @@
 }
 
-
-#  sub print_usage {
-#      print STDOUT "\n";
-#      print STDOUT "mkcol.pl: Creates the directory structure for a new\n";
-#      print STDOUT "          Greenstone collection.\n\n";
-#      print STDOUT "  usage: $0 -creator email [options] collection-name\n\n";
-#      print STDOUT "  options:\n";
-#      print STDOUT "   -optionfile file    Get options from file, useful on systems where\n";
-#      print STDOUT "                       long command lines may cause problems\n";
-#      print STDOUT "   -collectdir         Directory where new collection will be created.\n";
-#      print STDOUT "                       Default is " . 
-#  	&util::filename_cat($ENV{'GSDLHOME'}, "collect") . "\n";
-#      print STDOUT "   -maintainer email   The collection maintainer's email address (if\n";
-#      print STDOUT "                       different from the creator)\n";
-#      print STDOUT "   -public true|false  If this collection has anonymous access\n";
-#      print STDOUT "   -title text         The title for the collection\n";
-#      print STDOUT "   -about text         The about text for the collection\n";
-#      print STDOUT "   -plugin text        perl plugin module to use (there may be multiple\n";
-#      print STDOUT "                       plugin entries)\n";
-#      print STDOUT "   -quiet              Operate quietly\n";
-#      print STDOUT "  Note that -creator must be specified. You can make changes to all\n";
-#      print STDOUT "  options later by editing the collect.cfg configuration file for your\n";
-#      print STDOUT "  new collection (it'll be in the \"etc\" directory).\n\n";
-#      print STDOUT "  [Type \"perl -S mkcol.pl | more\" if this help text scrolled off your screen]";
-#      print STDOUT "\n" unless $ENV{'GSDLOS'} =~ /^windows$/i;
-#  }
 
 sub traverse_dir
@@ -200,4 +174,5 @@
 			  'plugin/.+', \@plugin,
 			  'quiet', \$quiet,
+			  'gli', \$gli,
 			  q^xml^, \$xml
 			  )) {
@@ -222,4 +197,8 @@
     }
 
+    if ($gli) { # the gli wants strings to be in UTF-8
+	&gsprintf::output_strings_in_UTF8; 
+    }
+	
     if ($optionfile =~ /\w/) {
 	open (OPTIONS, $optionfile) ||