Index: trunk/gli/src/org/greenstone/gatherer/cdm/ClassifierManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/ClassifierManager.java	(revision 7111)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/ClassifierManager.java	(revision 7151)
@@ -66,7 +66,4 @@
 public class ClassifierManager
     extends DOMProxyListModel {
-
-    /** The default size for a label. */
-    static final private Dimension LABEL_SIZE = new Dimension(140, 20);
 
     /** A list of known, but currently unassigned, classifiers. */
Index: trunk/gli/src/org/greenstone/gatherer/cdm/FormatManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/FormatManager.java	(revision 7111)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/FormatManager.java	(revision 7151)
@@ -278,5 +278,4 @@
 	    JPanel feature_pane = new JPanel();
 	    JLabel feature_label = new JLabel();
-	    //feature_label.setPreferredSize(Utility.LABEL_SIZE);
 	    Dictionary.registerText(feature_label, "CDM.FormatManager.Feature");
 	    feature_combobox = new JComboBox(feature_model.toArray());
@@ -287,5 +286,4 @@
 	    part_pane = new JPanel();
 	    JLabel part_label = new JLabel();
-	    //part_label.setPreferredSize(Utility.LABEL_SIZE);
 	    Dictionary.registerText(part_label, "CDM.FormatManager.Part");
 
Index: trunk/gli/src/org/greenstone/gatherer/cdm/GeneralManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/GeneralManager.java	(revision 7111)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/GeneralManager.java	(revision 7151)
@@ -57,10 +57,6 @@
     /** The available subscreens. */
     static final private String CONTENTS[] = { "CDM.GUI.General", "CDM.GUI.Plugins", "CDM.GUI.SearchTypes", "CDM.GUI.Indexes", "CDM.GUI.Subcollections", "CDM.GUI.SuperCollection", "CDM.GUI.Classifiers", "CDM.GUI.Formats", "CDM.GUI.Translation",  "CDM.GUI.MetadataSets" };
-    /** The preferred size of the collection design module screen real-estate. */
-    static final private Dimension SIZE = new Dimension(760, 500);
     /** The preferred size of the contents tree. */
     static final private Dimension TREE_SIZE = new Dimension(200, 500);
-    /** The preferred size of label. */
-    static final private Dimension LABEL_SIZE = new Dimension(200,25);
     /** The controls used to modify the general options. */
     private Control controls;
@@ -261,5 +257,4 @@
 	    JPanel description_panel = new JPanel();
 	    description_label = new JLabel();
-	    //description_label.setPreferredSize(LABEL_SIZE);
 	    Dictionary.registerText(description_label, "CDM.General.Collection_Extra");
 	    description_textarea = new JTextArea();
Index: trunk/gli/src/org/greenstone/gatherer/cdm/IndexManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/IndexManager.java	(revision 7111)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/IndexManager.java	(revision 7151)
@@ -54,5 +54,4 @@
     extends DOMProxyListModel {
 
-    static final private Dimension LABEL_SIZE = new Dimension(150,30);
     static final private Dimension FIELD_SIZE = new Dimension(200,30);
     static final private String MGINDEXES = "mg indexes";
@@ -563,17 +562,12 @@
 	    move_down_button.setEnabled(false);
 	    move_down_button.setMnemonic(KeyEvent.VK_D);
-	    //move_down_button.setPreferredSize(Utility.DOUBLE_IMAGE_BUTTON_SIZE);
 	    Dictionary.registerBoth(move_down_button, "CDM.Move.Move_Down", "CDM.Move.Move_Down_Tooltip");
 
 	    JPanel index_pane = new JPanel();
-
 	    JPanel details_pane = new JPanel();
-
 	    JPanel labels_pane = new JPanel();
 	    JPanel boxes_pane = new JPanel();
 
-	    //JPanel name_pane = new JPanel();
 	    JLabel name_label = new JLabel();
-	    //name_label.setPreferredSize(Utility.LABEL_SIZE);
 	    Dictionary.registerText(name_label, "CDM.IndexManager.Index_Name");
 	    name_textfield = new JTextField();
@@ -581,14 +575,10 @@
 	    Dictionary.registerTooltip(name_textfield, "CDM.IndexManager.Index_Name_Tooltip");
 
-	    //JPanel source_pane = new JPanel();
 	    JLabel source_label = new JLabel();
-	    //source_label.setPreferredSize(Utility.LABEL_SIZE);
 	    Dictionary.registerText(source_label, "CDM.IndexManager.Source");
 	    source_list = new CheckList(new_data, false);
 	    Dictionary.registerTooltip(source_list, "CDM.IndexManager.Source_Tooltip");
 
-	    //JPanel level_pane = new JPanel();
 	    JLabel level_label = new JLabel();
-	    //level_label.setPreferredSize(Utility.LABEL_SIZE);
 	    Dictionary.registerText(level_label, "CDM.IndexManager.Level");
 	    level_combobox = new JComboBox();
@@ -951,13 +941,9 @@
 
 	    JPanel index_spacer_panel = new JPanel();
-
 	    JPanel index_body_panel = new JPanel();
-
 	    JPanel index_details_panel = new JPanel();
-
 	    JPanel index_labels_panel = new JPanel();
 
 	    index_name_label = new JLabel();
-	    //index_name_label.setPreferredSize(LABEL_SIZE);
 	    Dictionary.registerText(index_name_label, "CDM.IndexManager.Index_Name");
 
@@ -969,5 +955,4 @@
 
 	    index_label = new JLabel("CDM.IndexManager.MGPP.Index");
-	    //index_label.setPreferredSize(LABEL_SIZE);
 	    Dictionary.registerText(index_label, "CDM.IndexManager.MGPP.Index");
 
@@ -1088,14 +1073,10 @@
 
 	    JPanel level_spacer_panel = new JPanel();
-
 	    JPanel level_body_panel = new JPanel();
-
 	    JPanel level_details_panel = new JPanel();
-
 	    JPanel level_labels_panel = new JPanel();
 	    JPanel level_boxes_panel = new JPanel();
 
 	    level_name_label = new JLabel();
-	    //level_name_label.setPreferredSize(LABEL_SIZE);
 	    Dictionary.registerText(level_name_label, "CDM.IndexManager.MGPP.Level_Name");
 
@@ -1106,5 +1087,4 @@
 
 	    level_label = new JLabel();
-	    //level_label.setPreferredSize(LABEL_SIZE);
 	    Dictionary.registerText(level_label, "CDM.IndexManager.MGPP.Level");
 
Index: trunk/gli/src/org/greenstone/gatherer/cdm/LanguageManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/LanguageManager.java	(revision 7111)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/LanguageManager.java	(revision 7151)
@@ -284,5 +284,4 @@
 	    JLabel default_label = new JLabel();
 	    default_label.setBorder(BorderFactory.createEmptyBorder(0,0,0,5));
-	    //default_label.setPreferredSize(LABEL_SIZE);
 	    Dictionary.registerText(default_label, "CDM.LanguageManager.Default_Language");
 
@@ -299,5 +298,4 @@
 
 	    JLabel selector_label = new JLabel();
-	    //selector_label.setPreferredSize(LABEL_SIZE);
 	    Dictionary.registerText(selector_label, "CDM.LanguageManager.Selector");
 
Index: trunk/gli/src/org/greenstone/gatherer/cdm/PlugInManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/PlugInManager.java	(revision 7111)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/PlugInManager.java	(revision 7151)
@@ -64,6 +64,4 @@
     private JPanel separator;
     private PlugIn separator_plugin;
-    /** The default size for a label. */
-    static final private Dimension LABEL_SIZE = new Dimension(125, 25);
     /** Constructor.
      */
Index: trunk/gli/src/org/greenstone/gatherer/cdm/SubcollectionIndexManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/SubcollectionIndexManager.java	(revision 7111)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/SubcollectionIndexManager.java	(revision 7151)
@@ -237,5 +237,4 @@
 
 	    JLabel default_label = new JLabel();
-	    //default_label.setPreferredSize(Utility.LABEL_SIZE);
 	    Dictionary.registerText(default_label, "CDM.SubcollectionIndexManager.Default_Subindex");
 
Index: trunk/gli/src/org/greenstone/gatherer/cdm/TranslationView.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/TranslationView.java	(revision 7111)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/TranslationView.java	(revision 7151)
@@ -235,5 +235,4 @@
 	    JPanel language_panel = new JPanel();
 	    JLabel language_label = new JLabel();
-	    //language_label.setPreferredSize(LABEL_SIZE);
 	    Dictionary.registerText(language_label, "CDM.TranslationManager.Language");
 	    language_combobox = new JComboBox(CollectionDesignManager.language_manager.getLanguageCodes().toArray());