Index: unk/gsdl/collect/demo/import/metadata.xml
===================================================================
--- /trunk/gsdl/collect/demo/import/metadata.xml	(revision 7168)
+++ 	(revision )
@@ -1,126 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE DirectoryMetadata SYSTEM "http://greenstone.org/dtd/DirectoryMetadata/1.0/DirectoryMetadata.dtd">
-<DirectoryMetadata>
-    <FileSet>
-        <FileName>ec160e</FileName>
-        <Description>
-            <Metadata name="dls.Title">The Courier - NÂ°160 - Nov - Dec 1996 - Dossier Habitat - Country reports: Fiji , Tonga (ec160e)</Metadata>
-            <Metadata mode="accumulate" name="dls.Language">English</Metadata>
-            <Metadata mode="accumulate" name="dls.Subject">Settlements, Housing, Building - Infrastructure Construction (Roads etc)|Settlements and housing: general works incl. low- cost housing, planning techniques, surveying, etc.</Metadata>
-            <Metadata mode="accumulate" name="dls.Subject">Development Periodicals and Magazines|The Courier ACP 1990 - 1996 Africa-Caribbean-Pacific - European Union</Metadata>
-            <Metadata mode="accumulate" name="dls.Organization">EC Courier</Metadata>
-            <Metadata mode="accumulate" name="dls.AZList">A-B-C-D-E-F-G-H-I-J-K-L-M-N-O-P-Q-R-S-T-U-V-W-X-Y-Z</Metadata>
-        </Description>
-    </FileSet>
-    <FileSet>
-        <FileName>b22bue</FileName>
-        <Description>
-            <Metadata name="dls.Title">Butterfly Farming in Papua New Guinea (b22bue)</Metadata>
-            <Metadata mode="accumulate" name="dls.Language">English</Metadata>
-            <Metadata mode="accumulate" name="dls.Subject">Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)</Metadata>
-            <Metadata mode="accumulate" name="dls.Organization">BOSTID</Metadata>
-            <Metadata mode="accumulate" name="dls.AZList">A-B-C-D-E-F-G-H-I-J-K-L-M-N-O-P-Q-R-S-T-U-V-W-X-Y-Z</Metadata>
-            <Metadata mode="accumulate" name="dls.Keyword">start a butterfly farm</Metadata>
-        </Description>
-    </FileSet>
-    <FileSet>
-        <FileName>b20cre</FileName>
-        <Description>
-            <Metadata name="dls.Title">Managing Tropical Animal Resources - Crocodiles as a Resource for the Tropics (b20cre)</Metadata>
-            <Metadata mode="accumulate" name="dls.Language">English</Metadata>
-            <Metadata mode="accumulate" name="dls.Subject">Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)</Metadata>
-            <Metadata mode="accumulate" name="dls.Organization">BOSTID</Metadata>
-            <Metadata mode="accumulate" name="dls.AZList">A-B-C-D-E-F-G-H-I-J-K-L-M-N-O-P-Q-R-S-T-U-V-W-X-Y-Z</Metadata>
-        </Description>
-    </FileSet>
-    <FileSet>
-        <FileName>b17mie</FileName>
-        <Description>
-            <Metadata name="dls.Title">Microlivestock - Little-Known Small Animals with a Promising Economic Future (b17mie)</Metadata>
-            <Metadata mode="accumulate" name="dls.Language">English</Metadata>
-            <Metadata mode="accumulate" name="dls.Subject">Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)</Metadata>
-            <Metadata mode="accumulate" name="dls.Organization">BOSTID</Metadata>
-            <Metadata mode="accumulate" name="dls.AZList">A-B-C-D-E-F-G-H-I-J-K-L-M-N-O-P-Q-R-S-T-U-V-W-X-Y-Z</Metadata>
-            <Metadata mode="accumulate" name="dls.Keyword">introduce small animals and micro-livestock in your farm</Metadata>
-        </Description>
-    </FileSet>
-    <FileSet>
-        <FileName>b18ase</FileName>
-        <Description>
-            <Metadata name="dls.Title">Little Known Asian Animals With a Promising Economic Future (b18ase)</Metadata>
-            <Metadata mode="accumulate" name="dls.Language">English</Metadata>
-            <Metadata mode="accumulate" name="dls.Subject">Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)</Metadata>
-            <Metadata mode="accumulate" name="dls.Organization">BOSTID</Metadata>
-            <Metadata mode="accumulate" name="dls.AZList">A-B-C-D-E-F-G-H-I-J-K-L-M-N-O-P-Q-R-S-T-U-V-W-X-Y-Z</Metadata>
-            <Metadata mode="accumulate" name="dls.Keyword">introduce little-known Asian farm animals with a promising future</Metadata>
-        </Description>
-    </FileSet>
-    <FileSet>
-        <FileName>b21wae</FileName>
-        <Description>
-            <Metadata name="dls.Title">The Water Buffalo: New Prospects For An Underutilized Animal (1984) (b21wae)</Metadata>
-            <Metadata mode="accumulate" name="dls.Language">English</Metadata>
-            <Metadata mode="accumulate" name="dls.Subject">Animal Husbandry and Animal Product Processing|Cattle</Metadata>
-            <Metadata mode="accumulate" name="dls.Subject">Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)</Metadata>
-            <Metadata mode="accumulate" name="dls.Organization">BOSTID</Metadata>
-            <Metadata mode="accumulate" name="dls.AZList">A-B-C-D-E-F-G-H-I-J-K-L-M-N-O-P-Q-R-S-T-U-V-W-X-Y-Z</Metadata>
-            <Metadata mode="accumulate" name="dls.Keyword">utilize the Water Buffalo more effectively</Metadata>
-        </Description>
-    </FileSet>
-    <FileSet>
-        <FileName>fb34fe</FileName>
-        <Description>
-            <Metadata name="dls.Title">Farming snails 2: Choosing snails; Care and harvesting; Further improvement (fb34fe)</Metadata>
-            <Metadata mode="accumulate" name="dls.Language">English</Metadata>
-            <Metadata mode="accumulate" name="dls.Subject">Agriculture and Food Processing|Better Farming series of FAO and INADES - 46 booklets</Metadata>
-            <Metadata mode="accumulate" name="dls.Subject">Settlements, Housing, Building - Infrastructure Construction (Roads etc)|Settlements and housing: general works incl. low- cost housing, planning techniques, surveying, etc.</Metadata>
-            <Metadata mode="accumulate" name="dls.Organization">FAO Better Farming series</Metadata>
-            <Metadata mode="accumulate" name="dls.AZList">A-B-C-D-E-F-G-H-I-J-K-L-M-N-O-P-Q-R-S-T-U-V-W-X-Y-Z</Metadata>
-            <Metadata mode="accumulate" name="dls.Keyword">farm snails</Metadata>
-        </Description>
-    </FileSet>
-    <FileSet>
-        <FileName>fb33fe</FileName>
-        <Description>
-            <Metadata name="dls.Title">Farming snails 1: Learning about snails; Building a pen; Food and shelter plants (fb33fe)</Metadata>
-            <Metadata mode="accumulate" name="dls.Language">English</Metadata>
-            <Metadata mode="accumulate" name="dls.Subject">Agriculture and Food Processing|Better Farming series of FAO and INADES - 46 booklets</Metadata>
-            <Metadata mode="accumulate" name="dls.Subject">Settlements, Housing, Building - Infrastructure Construction (Roads etc)|Settlements and housing: general works incl. low- cost housing, planning techniques, surveying, etc.</Metadata>
-            <Metadata mode="accumulate" name="dls.Organization">FAO Better Farming series</Metadata>
-            <Metadata mode="accumulate" name="dls.AZList">A-B-C-D-E-F-G-H-I-J-K-L-M-N-O-P-Q-R-S-T-U-V-W-X-Y-Z</Metadata>
-        </Description>
-    </FileSet>
-    <FileSet>
-        <FileName>ec158e</FileName>
-        <Description>
-            <Metadata name="dls.Title">The Courier - NÂ°158 - July - August 1996 Dossier Communication and the media - Country report Cape Verde (ec158e)</Metadata>
-            <Metadata mode="accumulate" name="dls.Language">English</Metadata>
-            <Metadata mode="accumulate" name="dls.Subject">Communication, Information and Documentation|Communication, telecommunication, mass communication, mass media, film-making</Metadata>
-            <Metadata mode="accumulate" name="dls.Subject">Development Periodicals and Magazines|The Courier ACP 1990 - 1996 Africa-Caribbean-Pacific - European Union</Metadata>
-            <Metadata mode="accumulate" name="dls.Organization">EC Courier</Metadata>
-            <Metadata mode="accumulate" name="dls.AZList">A-B-C-D-E-F-G-H-I-J-K-L-M-N-O-P-Q-R-S-T-U-V-W-X-Y-Z</Metadata>
-        </Description>
-    </FileSet>
-    <FileSet>
-        <FileName>ec159e</FileName>
-        <Description>
-            <Metadata name="dls.Title">The Courier - NÂ°159 - Sept- Oct 1996 Dossier Investing in People Country Reports: Mali ; Western Samoa (ec159e)</Metadata>
-            <Metadata mode="accumulate" name="dls.Language">English</Metadata>
-            <Metadata mode="accumulate" name="dls.Subject">Society, Culture, Community, Woman, Youth, Population|Social sciences, sociology (works comprising several subgroups) incl. participatory research and training</Metadata>
-            <Metadata mode="accumulate" name="dls.Subject">Development Periodicals and Magazines|The Courier ACP 1990 - 1996 Africa-Caribbean-Pacific - European Union</Metadata>
-            <Metadata mode="accumulate" name="dls.Organization">EC Courier</Metadata>
-            <Metadata mode="accumulate" name="dls.AZList">A-B-C-D-E-F-G-H-I-J-K-L-M-N-O-P-Q-R-S-T-U-V-W-X-Y-Z</Metadata>
-        </Description>
-    </FileSet>
-    <FileSet>
-        <FileName>wb34te</FileName>
-        <Description>
-            <Metadata name="dls.Title">Development in practice: Toward Gender Equality (wb34te)</Metadata>
-            <Metadata mode="accumulate" name="dls.Language">English</Metadata>
-            <Metadata mode="accumulate" name="dls.Subject">Women, gender and development, women&apos;s organizations</Metadata>
-            <Metadata mode="accumulate" name="dls.Organization">World Bank</Metadata>
-            <Metadata mode="accumulate" name="dls.AZList">A-B-C-D-E-F-G-H-I-J-K-L-M-N-O-P-Q-R-S-T-U-V-W-X-Y-Z</Metadata>
-            <Metadata mode="accumulate" name="dls.Keyword">achieve gender equality</Metadata>
-        </Description>
-    </FileSet>
-</DirectoryMetadata>