Index: trunk/gli/src/org/greenstone/gatherer/cdm/SuperCollectionManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/SuperCollectionManager.java	(revision 7274)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/SuperCollectionManager.java	(revision 7275)
@@ -196,5 +196,5 @@
 	    for(int i = 0; possible_collections != null && i < possible_collections.length; i++) {
 		// The simpliest case is if the directory etc/collect.cfg file and a metadata/ in it. Thus it can easily be built upon.
-		File collect_cfg_file = new File(possible_collections[i], Utility.CONFIG_DIR);
+		File collect_cfg_file = new File(possible_collections[i], Utility.CONFIG_FILE);
 		if(collect_cfg_file.exists()) {
 		    BasicCollectionConfiguration collect_cfg = new BasicCollectionConfiguration(collect_cfg_file);
Index: trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java	(revision 7274)
+++ trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java	(revision 7275)
@@ -356,5 +356,5 @@
 		// Now we update our collect.cfg
 		Gatherer.println("Copy and update collect.cfg from base collection.");
-		updateCollectionCFG(new File(base_collection_directory, Utility.CONFIG_DIR), new File(a_dir, Utility.CONFIG_DIR), description, email, title);
+		updateCollectionCFG(new File(base_collection_directory, Utility.CONFIG_FILE), new File(a_dir, Utility.CONFIG_FILE), description, email, title);
 	    }
 
@@ -512,5 +512,5 @@
      */
     public String getCollectionConfig() {
-	return Utility.getConfigDir(Utility.getCollectionDir(Gatherer.config.gsdl_path, collection.getName()));
+	return Utility.getConfigFile(Utility.getCollectionDir(Gatherer.config.gsdl_path, collection.getName()));
     }
 
@@ -840,5 +840,5 @@
 	    }
 
-	    collection.cdm = new CollectionDesignManager(new File(collection_file.getParent(), Utility.CONFIG_DIR));
+	    collection.cdm = new CollectionDesignManager(new File(collection_file.getParent(), Utility.CONFIG_FILE));
 	    if (non_gatherer_collection) {
 		// We first recurse the Import folder tree, reading in any metadata.xml files, and then altering the non-namespaced element names to be valid GLI names
Index: trunk/gli/src/org/greenstone/gatherer/file/FileNode.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/file/FileNode.java	(revision 7274)
+++ trunk/gli/src/org/greenstone/gatherer/file/FileNode.java	(revision 7275)
@@ -283,5 +283,5 @@
 			File import_dir = new File(cols[i], StaticStrings.IMPORT_FOLDER);
 			if(import_dir.exists()) {
-			    BasicCollectionConfiguration collect_cfg = new BasicCollectionConfiguration(new File(cols[i], Utility.CONFIG_DIR));
+			    BasicCollectionConfiguration collect_cfg = new BasicCollectionConfiguration(new File(cols[i], Utility.CONFIG_FILE));
 			    FileNode collection_root = new FileNode(import_dir, collect_cfg.toString(), true);
 			    collection_root.setParent(this);
Index: trunk/gli/src/org/greenstone/gatherer/gui/NewCollectionDetailsPrompt.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/NewCollectionDetailsPrompt.java	(revision 7274)
+++ trunk/gli/src/org/greenstone/gatherer/gui/NewCollectionDetailsPrompt.java	(revision 7275)
@@ -55,5 +55,5 @@
 	for(int i = 0; children != null && i < children.length; i++) {
 	    if(children[i].isDirectory()) {
-		File config_file = new File(children[i], Utility.CONFIG_DIR);
+		File config_file = new File(children[i], Utility.CONFIG_FILE);
 		if(current_config_file == null || !config_file.equals(current_config_file)) {
 		    BasicCollectionConfiguration other_collection = new BasicCollectionConfiguration(config_file);
@@ -108,5 +108,5 @@
 	for (int i = 0; possible_collections != null && i < possible_collections.length; i++) {
 	    // If the directory has a etc/collect.cfg file then it looks like a collection
-	    File collect_cfg_file = new File(possible_collections[i], Utility.CONFIG_DIR);
+	    File collect_cfg_file = new File(possible_collections[i], Utility.CONFIG_FILE);
 	    if (collect_cfg_file.exists()) {
 		// If the directory has a metadata/ then the collection can be used as a base
Index: trunk/gli/src/org/greenstone/gatherer/gui/OpenCollectionDialog.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/OpenCollectionDialog.java	(revision 7274)
+++ trunk/gli/src/org/greenstone/gatherer/gui/OpenCollectionDialog.java	(revision 7275)
@@ -169,5 +169,5 @@
 		else {
 		    // Build a wrapper around the collection configuration file.
-		    File config_file = new File(file.getParentFile(), Utility.CONFIG_DIR);
+		    File config_file = new File(file.getParentFile(), Utility.CONFIG_FILE);
 		    if(config_file.exists()) {
 			BasicCollectionConfiguration collect_cfg = new BasicCollectionConfiguration(config_file);
@@ -212,5 +212,5 @@
 	    File[] files = default_system_view.getFiles(dir, useFileHiding);
 	    // Determine if the current dir actually contains a valid greenstone collection. To do this we check for the presence of the file <dir>/etc/collect.cfg and a directory named import.
-	    File collect_cfg_file = new File(dir, Utility.CONFIG_DIR);
+	    File collect_cfg_file = new File(dir, Utility.CONFIG_FILE);
 	    File import_dir_file = new File(dir, Utility.IMPORT_DIR);
 	    if(collect_cfg_file.exists() && import_dir_file.exists()) {
Index: trunk/gli/src/org/greenstone/gatherer/gui/SimpleOpenCollectionDialog.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/SimpleOpenCollectionDialog.java	(revision 7274)
+++ trunk/gli/src/org/greenstone/gatherer/gui/SimpleOpenCollectionDialog.java	(revision 7275)
@@ -215,5 +215,5 @@
 		String collection_foldername = collection_folder.getName();
 		if(!collection_folder.isFile() && !collection_foldername.equals(StaticStrings.MODEL_COLLECTION_NAME)) {
-		   BasicCollectionConfiguration collection_configuration = new BasicCollectionConfiguration(new File(collection_folder, Utility.CONFIG_DIR));
+		   BasicCollectionConfiguration collection_configuration = new BasicCollectionConfiguration(new File(collection_folder, Utility.CONFIG_FILE));
 		   if(!collection_configuration.getName().equals(StaticStrings.ERROR_STR)) {
 		      data.add(collection_configuration);
Index: trunk/gli/src/org/greenstone/gatherer/mem/MEMNode.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/mem/MEMNode.java	(revision 7274)
+++ trunk/gli/src/org/greenstone/gatherer/mem/MEMNode.java	(revision 7275)
@@ -160,5 +160,5 @@
 			if(is_descendant) {
 			    // Create a basic config class
-			    BasicCollectionConfiguration config = new BasicCollectionConfiguration(new File(source_path, Utility.CONFIG_DIR));
+			    BasicCollectionConfiguration config = new BasicCollectionConfiguration(new File(source_path, Utility.CONFIG_FILE));
 			    text = config.toString();
 			    config = null;
Index: trunk/gli/src/org/greenstone/gatherer/util/Utility.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/util/Utility.java	(revision 7274)
+++ trunk/gli/src/org/greenstone/gatherer/util/Utility.java	(revision 7275)
@@ -89,5 +89,5 @@
     static final public String COLLECTION_TREE = "Collection";
     /** Definition of an important directory name, in this case the file the collection configuration is expect to be in. */
-    static final public String CONFIG_DIR = "etc" + File.separator + "collect.cfg";
+    static final public String CONFIG_FILE = "etc" + File.separator + "collect.cfg";
     /** The default file name for the urls missing any file. */
     static final public String DEFAULT_FILE = "index.html";
@@ -505,6 +505,6 @@
      * @return The location of the given collections configuration file, also as a <strong>String</strong>.
      */
-    static public String getConfigDir(String col_dir) {
-	return col_dir + CONFIG_DIR;
+    static public String getConfigFile(String col_dir) {
+	return col_dir + CONFIG_FILE;
     }
 